﻿// ConvertInfo : FairlyWrites 7.4.6.2 - 2016/06/24 16:41:14
{
  var objTOC = new TocObject();
  objTOC.setTitle("3DS Programming Manual:<br />Advanced Graphics");
  objTOC.setWindowTitle("3DS Programming Manual: Advanced Graphics");
  objTOC.disablePrintPage();
  objTOC.setInsertTitlePage(true);
  objTOC.disableDisplayNumber();
  objTOC.disableViewFileIcon();
  objTOC.setBaselevel(0);
  objTOC.setSearchEnabled(true);
  objTOC.setLogoFile("template/img/logo.png");

// 1. Introduction
  objTOC.addHeader("ID_55575484", 0, "1. Introduction", "Pages/Page_55575484.html", "");

// 1.1. Bit Layout Notation
  objTOC.addItem("ID_55575484", 1, "1.1. Bit Layout Notation", "Pages/Page_55575484.html", "PageId_55575485");

// 2. Block Mode Settings
  objTOC.addHeader("ID_55575486", 0, "2. Block Mode Settings", "Pages/Page_55575486.html", "");

// 2.1. Early Depth Test
  objTOC.addItem("ID_55575486", 1, "2.1. Early Depth Test", "Pages/Page_55575486.html", "PageId_55575487");

// 2.1.1. Test Control
  objTOC.addItem("ID_55575486", 2, "2.1.1. Test Control", "Pages/Page_55575486.html", "PageId_55575488");

// 2.1.2. Clearing the Buffer
  objTOC.addItem("ID_55575486", 2, "2.1.2. Clearing the Buffer", "Pages/Page_55575486.html", "PageId_55575489");

// 2.1.3. Depth Buffer Update Flag
  objTOC.addItem("ID_55575486", 2, "2.1.3. Depth Buffer Update Flag", "Pages/Page_55575486.html", "PageId_55575490");

// 2.1.4. Setting the Comparison Function
  objTOC.addItem("ID_55575486", 2, "2.1.4. Setting the Comparison Function", "Pages/Page_55575486.html", "PageId_55575491");

// 2.1.4.1. Changing the Comparison Function
  objTOC.addItem("ID_55575486", 3, "2.1.4.1. Changing the Comparison Function", "Pages/Page_55575486.html", "PageId_55575492");

// 2.1.5. Problems When Using Viewports With an Offset
  objTOC.addItem("ID_55575486", 2, "2.1.5. Problems When Using Viewports With an Offset", "Pages/Page_55575486.html", "PageId_55575493");

// 3. Using Data Located in Main Memory
  objTOC.addHeader("ID_55575494", 0, "3. Using Data Located in Main Memory", "Pages/Page_55575494.html", "");

// 3.1. Access Main Memory and Create a Copy in Main Memory
  objTOC.addItem("ID_55575494", 1, "3.1. Access Main Memory and Create a Copy in Main Memory", "Pages/Page_55575494.html", "PageId_55575495");

// 3.2. Access Main Memory and Do Not Create a Copy in Main Memory
  objTOC.addItem("ID_55575494", 1, "3.2. Access Main Memory and Do Not Create a Copy in Main Memory", "Pages/Page_55575494.html", "PageId_55575496");

// 3.3. Access VRAM-A (or B) and Create a Copy in Main Memory
  objTOC.addItem("ID_55575494", 1, "3.3. Access VRAM-A (or B) and Create a Copy in Main Memory", "Pages/Page_55575494.html", "PageId_55575497");

// 3.4. Access VRAM-A (or B) and Do Not Create a Copy in Main Memory
  objTOC.addItem("ID_55575494", 1, "3.4. Access VRAM-A (or B) and Do Not Create a Copy in Main Memory", "Pages/Page_55575494.html", "PageId_55575498");

// 3.5. Effectively Using VRAM
  objTOC.addItem("ID_55575494", 1, "3.5. Effectively Using VRAM", "Pages/Page_55575494.html", "PageId_55575499");

// 4. State Caches
  objTOC.addHeader("ID_55575500", 0, "4. State Caches", "Pages/Page_55575500.html", "");

// 5. Lighting Model Sample Implementation
  objTOC.addHeader("ID_55575501", 0, "5. Lighting Model Sample Implementation", "Pages/Page_55575501.html", "");

// 5.1. Microfacet Reflection
  objTOC.addItem("ID_55575501", 1, "5.1. Microfacet Reflection", "Pages/Page_55575501.html", "PageId_55575502");

// 5.2. Blinn-Phong Model
  objTOC.addItem("ID_55575501", 1, "5.2. Blinn-Phong Model", "Pages/Page_55575501.html", "PageId_55575503");

// 5.3. Cook-Torrance Model
  objTOC.addItem("ID_55575501", 1, "5.3. Cook-Torrance Model", "Pages/Page_55575501.html", "PageId_55575504");

// 5.4. Schlick Anisotropic Model
  objTOC.addItem("ID_55575501", 1, "5.4. Schlick Anisotropic Model", "Pages/Page_55575501.html", "PageId_55575505");

// 5.5. Subsurface-Scattering Model
  objTOC.addItem("ID_55575501", 1, "5.5. Subsurface-Scattering Model", "Pages/Page_55575501.html", "PageId_55575506");

// 5.6. Toon Shading
  objTOC.addItem("ID_55575501", 1, "5.6. Toon Shading", "Pages/Page_55575501.html", "PageId_55575507");

// 6. Stereoscopic Display
  objTOC.addHeader("ID_55575508", 0, "6. Stereoscopic Display", "Pages/Page_55575508.html", "");

// 6.1. Principles of Stereoscopic Display
  objTOC.addItem("ID_55575508", 1, "6.1. Principles of Stereoscopic Display", "Pages/Page_55575508.html", "PageId_55575515");

// 6.1.1. Preconditions
  objTOC.addItem("ID_55575508", 2, "6.1.1. Preconditions", "Pages/Page_55575508.html", "PageId_55575516");

// 6.1.2. Distance Between the Left and Right Cameras and Calculating Each Camera's Viewing Volume
  objTOC.addItem("ID_55575508", 2, "6.1.2. Distance Between the Left and Right Cameras and Calculating Each Camera's Viewing Volume", "Pages/Page_55575508.html", "PageId_55575517");

// 6.1.2.1. Application Priority Calculation Method
  objTOC.addItem("ID_55575508", 3, "6.1.2.1. Application Priority Calculation Method", "Pages/Page_55575508.html", "PageId_55575518");

// 6.1.2.2. Realism Priority Calculation Method
  objTOC.addItem("ID_55575508", 3, "6.1.2.2. Realism Priority Calculation Method", "Pages/Page_55575508.html", "PageId_55575519");

// 6.1.3. Generating Projection Matrices
  objTOC.addItem("ID_55575508", 2, "6.1.3. Generating Projection Matrices", "Pages/Page_55575508.html", "PageId_55575520");

// 6.1.4. Generating View Matrices
  objTOC.addItem("ID_55575508", 2, "6.1.4. Generating View Matrices", "Pages/Page_55575508.html", "PageId_55575521");

// 6.1.5. Parallax Required to Display an Object at an Arbitrary Position
  objTOC.addItem("ID_55575508", 2, "6.1.5. Parallax Required to Display an Object at an Arbitrary Position", "Pages/Page_55575508.html", "PageId_55575522");

// 6.1.6. Appropriate Parallax for Objects Located at the Maximum Possible Distance From the Base Plane
  objTOC.addItem("ID_55575508", 2, "6.1.6. Appropriate Parallax for Objects Located at the Maximum Possible Distance From the Base Plane", "Pages/Page_55575508.html", "PageId_55575523");

// 6.2. Implementing in an Application
  objTOC.addItem("ID_55575508", 1, "6.2. Implementing in an Application", "Pages/Page_55575508.html", "PageId_55575524");

// 6.2.1. Setting the Display Mode
  objTOC.addItem("ID_55575508", 2, "6.2.1. Setting the Display Mode", "Pages/Page_55575508.html", "PageId_55575525");

// 6.2.2. Allocating Display Buffers
  objTOC.addItem("ID_55575508", 2, "6.2.2. Allocating Display Buffers", "Pages/Page_55575508.html", "PageId_55575526");

// 6.2.3. Using the ULCD Library
  objTOC.addItem("ID_55575508", 2, "6.2.3. Using the ULCD Library", "Pages/Page_55575508.html", "PageId_55575527");

// 6.2.3.1. Initializing
  objTOC.addItem("ID_55575508", 3, "6.2.3.1. Initializing", "Pages/Page_55575508.html", "PageId_55575528");

// 6.2.3.2. Setting and Getting the Limit Parallax
  objTOC.addItem("ID_55575508", 3, "6.2.3.2. Setting and Getting the Limit Parallax", "Pages/Page_55575508.html", "PageId_55575529");

// 6.2.3.3. Base Camera Information
  objTOC.addItem("ID_55575508", 3, "6.2.3.3. Base Camera Information", "Pages/Page_55575508.html", "PageId_55575530");

// 6.2.3.4. Calculating the Left and Right Camera Matrices
  objTOC.addItem("ID_55575508", 3, "6.2.3.4. Calculating the Left and Right Camera Matrices", "Pages/Page_55575508.html", "PageId_55575531");

// 6.2.3.5. Getting Parallax Information
  objTOC.addItem("ID_55575508", 3, "6.2.3.5. Getting Parallax Information", "Pages/Page_55575508.html", "PageId_55575532");

// 6.2.3.6. Finalization
  objTOC.addItem("ID_55575508", 3, "6.2.3.6. Finalization", "Pages/Page_55575508.html", "PageId_55575533");

// 6.2.4. Rendering and Transferring to Display Buffers
  objTOC.addItem("ID_55575508", 2, "6.2.4. Rendering and Transferring to Display Buffers", "Pages/Page_55575508.html", "PageId_55575534");

// 6.2.5. Displaying on the LCD Screen
  objTOC.addItem("ID_55575508", 2, "6.2.5. Displaying on the LCD Screen", "Pages/Page_55575508.html", "PageId_55575535");

// 6.2.6. 3D Depth Slider Input
  objTOC.addItem("ID_55575508", 2, "6.2.6. 3D Depth Slider Input", "Pages/Page_55575508.html", "PageId_55575536");

// 6.2.7. Disabling Stereoscopic Display
  objTOC.addItem("ID_55575508", 2, "6.2.7. Disabling Stereoscopic Display", "Pages/Page_55575508.html", "PageId_55575537");

// 6.2.8. Flipping Left-to-Right
  objTOC.addItem("ID_55575508", 2, "6.2.8. Flipping Left-to-Right", "Pages/Page_55575508.html", "PageId_55575538");

// 6.3. Using the Reserved Fragment Shader
  objTOC.addItem("ID_55575508", 1, "6.3. Using the Reserved Fragment Shader", "Pages/Page_55575508.html", "PageId_55575539");

// 6.4. Coordinating With the Stereo Cameras
  objTOC.addItem("ID_55575508", 1, "6.4. Coordinating With the Stereo Cameras", "Pages/Page_55575508.html", "PageId_55575540");

// 6.4.1. Calibrating the Stereo Cameras
  objTOC.addItem("ID_55575508", 2, "6.4.1. Calibrating the Stereo Cameras", "Pages/Page_55575508.html", "PageId_55575541");

// 6.4.2. Linking Stereo Camera Brightness
  objTOC.addItem("ID_55575508", 2, "6.4.2. Linking Stereo Camera Brightness", "Pages/Page_55575508.html", "PageId_55575542");

// 6.5. Notes
  objTOC.addItem("ID_55575508", 1, "6.5. Notes", "Pages/Page_55575508.html", "PageId_55575543");

// 6.5.1. Placing Objects in Front of the LCD Screen
  objTOC.addItem("ID_55575508", 2, "6.5.1. Placing Objects in Front of the LCD Screen", "Pages/Page_55575508.html", "PageId_55575544");

// 6.5.2. Positioning When 2D Objects and 3D Objects Are Displayed Together
  objTOC.addItem("ID_55575508", 2, "6.5.2. Positioning When 2D Objects and 3D Objects Are Displayed Together", "Pages/Page_55575508.html", "PageId_55575545");

// 6.5.3. Handling a Tilted System
  objTOC.addItem("ID_55575508", 2, "6.5.3. Handling a Tilted System", "Pages/Page_55575508.html", "PageId_55575546");

// 6.5.4. Cautions When Using the Display Mode to Disable 3D Display
  objTOC.addItem("ID_55575508", 2, "6.5.4. Cautions When Using the Display Mode to Disable 3D Display", "Pages/Page_55575508.html", "PageId_55575547");

// 7. Description of the ETC1 Compressed Texture Format
  objTOC.addHeader("ID_55575548", 0, "7. Description of the ETC1 Compressed Texture Format", "Pages/Page_55575548.html", "");

// 7.1. ETC Format
  objTOC.addItem("ID_55575548", 1, "7.1. ETC Format", "Pages/Page_55575548.html", "PageId_55575549");

// 7.1.1. Texel Layout and Sub-Blocks
  objTOC.addItem("ID_55575548", 2, "7.1.1. Texel Layout and Sub-Blocks", "Pages/Page_55575548.html", "PageId_55575550");

// 7.1.2. Determining the Base Color
  objTOC.addItem("ID_55575548", 2, "7.1.2. Determining the Base Color", "Pages/Page_55575548.html", "PageId_55575551");

// 7.1.3. Determining the Delta Tables and Texel Colors
  objTOC.addItem("ID_55575548", 2, "7.1.3. Determining the Delta Tables and Texel Colors", "Pages/Page_55575548.html", "PageId_55575552");

// 7.2. PICA Native Format Compressed Textures
  objTOC.addItem("ID_55575548", 1, "7.2. PICA Native Format Compressed Textures", "Pages/Page_55575548.html", "PageId_55575553");

// 7.2.1. V-Flipping
  objTOC.addItem("ID_55575548", 2, "7.2.1. V-Flipping", "Pages/Page_55575548.html", "PageId_55575554");

// 7.2.2. Block Format
  objTOC.addItem("ID_55575548", 2, "7.2.2. Block Format", "Pages/Page_55575548.html", "PageId_55575555");

// 7.2.3. Byte Order
  objTOC.addItem("ID_55575548", 2, "7.2.3. Byte Order", "Pages/Page_55575548.html", "PageId_55575556");

// 8. Command Caches
  objTOC.addHeader("ID_55575557", 0, "8. Command Caches", "Pages/Page_55575557.html", "");

// 8.1. Saving Command Lists
  objTOC.addItem("ID_55575557", 1, "8.1. Saving Command Lists", "Pages/Page_55575557.html", "PageId_55575558");

// 8.1.1. States
  objTOC.addItem("ID_55575557", 2, "8.1.1. States", "Pages/Page_55575557.html", "PageId_55575559");

// 8.1.2. Generating Commands
  objTOC.addItem("ID_55575557", 2, "8.1.2. Generating Commands", "Pages/Page_55575557.html", "PageId_55575560");

// 8.1.3. Commands for Partial State Updates and Full State Updates
  objTOC.addItem("ID_55575557", 2, "8.1.3. Commands for Partial State Updates and Full State Updates", "Pages/Page_55575557.html", "PageId_55575561");

// 8.1.4. Command Cache Restrictions and Notes
  objTOC.addItem("ID_55575557", 2, "8.1.4. Command Cache Restrictions and Notes", "Pages/Page_55575557.html", "PageId_55575562");

// 8.1.5. Getting Updated States
  objTOC.addItem("ID_55575557", 2, "8.1.5. Getting Updated States", "Pages/Page_55575557.html", "PageId_55575563");

// 8.1.6. Disabling State Updates
  objTOC.addItem("ID_55575557", 2, "8.1.6. Disabling State Updates", "Pages/Page_55575557.html", "PageId_55575564");

// 8.2. Reusing Command Lists
  objTOC.addItem("ID_55575557", 1, "8.2. Reusing Command Lists", "Pages/Page_55575557.html", "PageId_55575565");

// 8.2.1. Command Request Information That Is Copied
  objTOC.addItem("ID_55575557", 2, "8.2.1. Command Request Information That Is Copied", "Pages/Page_55575557.html", "PageId_55575566");

// 8.3. Copying Command Lists
  objTOC.addItem("ID_55575557", 1, "8.3. Copying Command Lists", "Pages/Page_55575557.html", "PageId_55575572");

// 8.3.1. Copying Command Lists
  objTOC.addItem("ID_55575557", 2, "8.3.1. Copying Command Lists", "Pages/Page_55575557.html", "PageId_55575573");

// 8.4. Exporting Command Lists
  objTOC.addItem("ID_55575557", 1, "8.4. Exporting Command Lists", "Pages/Page_55575557.html", "PageId_55575574");

// 8.4.1. Getting the Export Information
  objTOC.addItem("ID_55575557", 2, "8.4.1. Getting the Export Information", "Pages/Page_55575557.html", "PageId_55575575");

// 8.5. Importing Command Lists
  objTOC.addItem("ID_55575557", 1, "8.5. Importing Command Lists", "Pages/Page_55575557.html", "PageId_55575576");

// 8.6. Adding 3D Commands
  objTOC.addItem("ID_55575557", 1, "8.6. Adding 3D Commands", "Pages/Page_55575557.html", "PageId_55575577");

// 8.6.1. Directly Generating 3D Commands
  objTOC.addItem("ID_55575557", 2, "8.6.1. Directly Generating 3D Commands", "Pages/Page_55575557.html", "PageId_55575578");

// 8.6.1.1. Transitioning From Regularly Generated Commands to Directly Generated Commands
  objTOC.addItem("ID_55575557", 3, "8.6.1.1. Transitioning From Regularly Generated Commands to Directly Generated Commands", "Pages/Page_55575557.html", "PageId_55575579");

// 8.6.1.2. Transitioning From Directly Generated Commands to Regularly Generated Commands
  objTOC.addItem("ID_55575557", 3, "8.6.1.2. Transitioning From Directly Generated Commands to Regularly Generated Commands", "Pages/Page_55575557.html", "PageId_55575580");

// 8.7. Editing 3D Commands
  objTOC.addItem("ID_55575557", 1, "8.7. Editing 3D Commands", "Pages/Page_55575557.html", "PageId_55575581");

// 8.7.1. 3D Command Buffer Access
  objTOC.addItem("ID_55575557", 2, "8.7.1. 3D Command Buffer Access", "Pages/Page_55575557.html", "PageId_55575582");

// 8.7.2. 3D Command Buffer Specifications
  objTOC.addItem("ID_55575557", 2, "8.7.2. 3D Command Buffer Specifications", "Pages/Page_55575557.html", "PageId_55575583");

// 8.7.3. Single Access
  objTOC.addItem("ID_55575557", 2, "8.7.3. Single Access", "Pages/Page_55575557.html", "PageId_55575584");

// 8.7.4. Burst Access
  objTOC.addItem("ID_55575557", 2, "8.7.4. Burst Access", "Pages/Page_55575557.html", "PageId_55575585");

// 8.7.4.1. Writing Single Registers
  objTOC.addItem("ID_55575557", 3, "8.7.4.1. Writing Single Registers", "Pages/Page_55575557.html", "PageId_55575586");

// 8.7.4.2. Sequential Register Writing
  objTOC.addItem("ID_55575557", 3, "8.7.4.2. Sequential Register Writing", "Pages/Page_55575557.html", "PageId_55575587");

// 8.7.5. 3D Command Execution Cost
  objTOC.addItem("ID_55575557", 2, "8.7.5. 3D Command Execution Cost", "Pages/Page_55575557.html", "PageId_55575588");

// 8.8. PICA Register Information
  objTOC.addItem("ID_55575557", 1, "8.8. PICA Register Information", "Pages/Page_55575557.html", "PageId_55575589");

// 8.8.1. Vertex Shader Setting Registers (0x02B0 - 0x02DF and Others)
  objTOC.addItem("ID_55575557", 2, "8.8.1. Vertex Shader Setting Registers (0x02B0 - 0x02DF and Others)", "Pages/Page_55575557.html", "PageId_55575590");

// 8.8.1.1. Floating-Point Constant Registers (0x02C0, 0x02C1 - 0x02C8)
  objTOC.addItem("ID_55575557", 3, "8.8.1.1. Floating-Point Constant Registers (0x02C0, 0x02C1 - 0x02C8)", "Pages/Page_55575557.html", "PageId_55575591");

// 8.8.1.2. Boolean Register (0x02B0)
  objTOC.addItem("ID_55575557", 3, "8.8.1.2. Boolean Register (0x02B0)", "Pages/Page_55575557.html", "PageId_55575592");

// 8.8.1.3. Integer Registers (0x02B1 - 0x02B4)
  objTOC.addItem("ID_55575557", 3, "8.8.1.3. Integer Registers (0x02B1 - 0x02B4)", "Pages/Page_55575557.html", "PageId_55575593");

// 8.8.1.4. Program Code Setting Registers (0x02BF, 0x02CB – 0x02D3, 0x02D5 – 0x02DD)
  objTOC.addItem("ID_55575557", 3, "8.8.1.4. Program Code Setting Registers (0x02BF, 0x02CB – 0x02D3, 0x02D5 – 0x02DD)", "Pages/Page_55575557.html", "PageId_55575594");

// 8.8.1.5. Starting Address Setting Register (0x02BA)
  objTOC.addItem("ID_55575557", 3, "8.8.1.5. Starting Address Setting Register (0x02BA)", "Pages/Page_55575557.html", "PageId_55575595");

// 8.8.1.6. Attribute Input Count Setting Registers (0x0242, 0x02B9)
  objTOC.addItem("ID_55575557", 3, "8.8.1.6. Attribute Input Count Setting Registers (0x0242, 0x02B9)", "Pages/Page_55575557.html", "PageId_55575596");

// 8.8.1.7. Input Register Mapping Setting Registers (0x02BB, 0x02BC)
  objTOC.addItem("ID_55575557", 3, "8.8.1.7. Input Register Mapping Setting Registers (0x02BB, 0x02BC)", "Pages/Page_55575557.html", "PageId_55575597");

// 8.8.1.8. Fixed Vertex Attribute Value Setting Registers (0x0232 – 0x0235)
  objTOC.addItem("ID_55575557", 3, "8.8.1.8. Fixed Vertex Attribute Value Setting Registers (0x0232 – 0x0235)", "Pages/Page_55575557.html", "PageId_55575598");

// 8.8.1.9. Vertex Attribute Array Setting Registers (0x0200 – 0x0227)
  objTOC.addItem("ID_55575557", 3, "8.8.1.9. Vertex Attribute Array Setting Registers (0x0200 – 0x0227)", "Pages/Page_55575557.html", "PageId_55575599");

// 8.8.1.10. Output Register Use Count Setting Registers (0x004F, 0x024A, 0x0251, 0x025E)
  objTOC.addItem("ID_55575557", 3, "8.8.1.10. Output Register Use Count Setting Registers (0x004F, 0x024A, 0x0251, 0x025E)", "Pages/Page_55575557.html", "PageId_55575600");

// 8.8.1.11. Output Register Mask Setting Register (0x02BD)
  objTOC.addItem("ID_55575557", 3, "8.8.1.11. Output Register Mask Setting Register (0x02BD)", "Pages/Page_55575557.html", "PageId_55575601");

// 8.8.1.12. Output Register Attribute Setting Registers (0x0050 – 0x0056, 0x0064)
  objTOC.addItem("ID_55575557", 3, "8.8.1.12. Output Register Attribute Setting Registers (0x0050 – 0x0056, 0x0064)", "Pages/Page_55575557.html", "PageId_55575602");

// 8.8.1.13. Output Attribute Clock Control Register (0x006F)
  objTOC.addItem("ID_55575557", 3, "8.8.1.13. Output Attribute Clock Control Register (0x006F)", "Pages/Page_55575557.html", "PageId_55575603");

// 8.8.2. Texture Address Setting Registers (0x0085 – 0x008A, 0x0095, 0x009D)
  objTOC.addItem("ID_55575557", 2, "8.8.2. Texture Address Setting Registers (0x0085 – 0x008A, 0x0095, 0x009D)", "Pages/Page_55575557.html", "PageId_55575604");

// 8.8.3. Render Buffer Setting Registers (0x006E, 0x0116, 0x0117, 0x011C – 0x011E)
  objTOC.addItem("ID_55575557", 2, "8.8.3. Render Buffer Setting Registers (0x006E, 0x0116, 0x0117, 0x011C – 0x011E)", "Pages/Page_55575557.html", "PageId_55575605");

// 8.8.4. Texture Combiner Setting Registers (0x00C0 – 0x00C4 and Others)
  objTOC.addItem("ID_55575557", 2, "8.8.4. Texture Combiner Setting Registers (0x00C0 – 0x00C4 and Others)", "Pages/Page_55575557.html", "PageId_55575606");

// 8.8.4.1. Combiner Buffer Setting Registers (0x00E0, 0x00FD)
  objTOC.addItem("ID_55575557", 3, "8.8.4.1. Combiner Buffer Setting Registers (0x00E0, 0x00FD)", "Pages/Page_55575557.html", "PageId_55575607");

// 8.8.5. Fragment Lighting Setting Registers (0x008F and Others)
  objTOC.addItem("ID_55575557", 2, "8.8.5. Fragment Lighting Setting Registers (0x008F and Others)", "Pages/Page_55575557.html", "PageId_55575608");

// 8.8.5.1. Lighting Enable/Disable Control Registers (0x008F, 0x01C2, 0x01C6, 0x01D9)
  objTOC.addItem("ID_55575557", 3, "8.8.5.1. Lighting Enable/Disable Control Registers (0x008F, 0x01C2, 0x01C6, 0x01D9)", "Pages/Page_55575557.html", "PageId_55575609");

// 8.8.5.2. Global Ambient Setting Register (0x01C0)
  objTOC.addItem("ID_55575557", 3, "8.8.5.2. Global Ambient Setting Register (0x01C0)", "Pages/Page_55575557.html", "PageId_55575610");

// 8.8.5.3. Light Source Setting Registers (0x0140 – 0x01BF, 0x01C4)
  objTOC.addItem("ID_55575557", 3, "8.8.5.3. Light Source Setting Registers (0x0140 – 0x01BF, 0x01C4)", "Pages/Page_55575557.html", "PageId_55575611");

// 8.8.5.4. Lookup Table Setting Registers (0x01C5, 0x01C8 – 0x01CF)
  objTOC.addItem("ID_55575557", 3, "8.8.5.4. Lookup Table Setting Registers (0x01C5, 0x01C8 – 0x01CF)", "Pages/Page_55575557.html", "PageId_55575612");

// 8.8.5.5. Lookup Table Argument Range Setting Register (0x01D0)
  objTOC.addItem("ID_55575557", 3, "8.8.5.5. Lookup Table Argument Range Setting Register (0x01D0)", "Pages/Page_55575557.html", "PageId_55575613");

// 8.8.5.6. Lookup Table Input Values Setting Register (0x01D1)
  objTOC.addItem("ID_55575557", 3, "8.8.5.6. Lookup Table Input Values Setting Register (0x01D1)", "Pages/Page_55575557.html", "PageId_55575614");

// 8.8.5.7. Lookup Table Output Value Scale Setting Register (0x01D2)
  objTOC.addItem("ID_55575557", 3, "8.8.5.7. Lookup Table Output Value Scale Setting Register (0x01D2)", "Pages/Page_55575557.html", "PageId_55575615");

// 8.8.5.8. Shadow Attenuation Setting Register (0x01C3)
  objTOC.addItem("ID_55575557", 3, "8.8.5.8. Shadow Attenuation Setting Register (0x01C3)", "Pages/Page_55575557.html", "PageId_55575616");

// 8.8.5.9. Other Setting Registers (0x01C3, 0x01C4)
  objTOC.addItem("ID_55575557", 3, "8.8.5.9. Other Setting Registers (0x01C3, 0x01C4)", "Pages/Page_55575557.html", "PageId_55575617");

// 8.8.6. Texture Setting Registers (0x0080, 0x0083, 0x008B, 0x00A8 – 0x00B7 and Others)
  objTOC.addItem("ID_55575557", 2, "8.8.6. Texture Setting Registers (0x0080, 0x0083, 0x008B, 0x00A8 – 0x00B7 and Others)", "Pages/Page_55575557.html", "PageId_55575618");

// 8.8.6.1. Shadow Texture Setting Register (0x008B)
  objTOC.addItem("ID_55575557", 3, "8.8.6.1. Shadow Texture Setting Register (0x008B)", "Pages/Page_55575557.html", "PageId_55575619");

// 8.8.6.2. Texture Sampler Type Setting Registers (0x0080, 0x0083)
  objTOC.addItem("ID_55575557", 3, "8.8.6.2. Texture Sampler Type Setting Registers (0x0080, 0x0083)", "Pages/Page_55575557.html", "PageId_55575620");

// 8.8.6.3. Texture Coordinate Selection Setting Register (0x0080)
  objTOC.addItem("ID_55575557", 3, "8.8.6.3. Texture Coordinate Selection Setting Register (0x0080)", "Pages/Page_55575557.html", "PageId_55575621");

// 8.8.6.4. Procedural Texture Setting Registers (0x00A8 – 0x00AD)
  objTOC.addItem("ID_55575557", 3, "8.8.6.4. Procedural Texture Setting Registers (0x00A8 – 0x00AD)", "Pages/Page_55575557.html", "PageId_55575622");

// 8.8.6.5. Procedural Texture Lookup Table Setting Registers (0x00AF, 0x00B0 – 0x00B7)
  objTOC.addItem("ID_55575557", 3, "8.8.6.5. Procedural Texture Lookup Table Setting Registers (0x00AF, 0x00B0 – 0x00B7)", "Pages/Page_55575557.html", "PageId_55575623");

// 8.8.6.6. Texture Resolution Setting Registers (0x0082, 0x0092, 0x009A)
  objTOC.addItem("ID_55575557", 3, "8.8.6.6. Texture Resolution Setting Registers (0x0082, 0x0092, 0x009A)", "Pages/Page_55575557.html", "PageId_55575624");

// 8.8.6.7. Texture Format Setting Registers (0x0083, 0x008E, 0x0093, 0x0096, 0x009B, 0x009E)
  objTOC.addItem("ID_55575557", 3, "8.8.6.7. Texture Format Setting Registers (0x0083, 0x008E, 0x0093, 0x0096, 0x009B, 0x009E)", "Pages/Page_55575557.html", "PageId_55575625");

// 8.8.6.8. Texture Parameter Setting Registers (0x0081, 0x0083, 0x0084, and Others)
  objTOC.addItem("ID_55575557", 3, "8.8.6.8. Texture Parameter Setting Registers (0x0081, 0x0083, 0x0084, and Others)", "Pages/Page_55575557.html", "PageId_55575626");

// 8.8.6.9. Settings for Shadow Textures and Gas Textures
  objTOC.addItem("ID_55575557", 3, "8.8.6.9. Settings for Shadow Textures and Gas Textures", "Pages/Page_55575557.html", "PageId_55575627");

// 8.8.7. Gas Setting Registers (0x00E0, 0x00E4, 0x00E5, 0x0120 – 0x0126)
  objTOC.addItem("ID_55575557", 2, "8.8.7. Gas Setting Registers (0x00E0, 0x00E4, 0x00E5, 0x0120 – 0x0126)", "Pages/Page_55575557.html", "PageId_55575628");

// 8.8.7.1. Gas Control Setting Registers (0x00E0, 0x00E4, 0x00E5, 0x0120 – 0x0122, 0x0125, 0x0126)
  objTOC.addItem("ID_55575557", 3, "8.8.7.1. Gas Control Setting Registers (0x00E0, 0x00E4, 0x00E5, 0x0120 – 0x0122, 0x0125, 0x0126)", "Pages/Page_55575557.html", "PageId_55575629");

// 8.8.7.2. Shading Lookup Table Setting Registers (0x0123, 0x0124)
  objTOC.addItem("ID_55575557", 3, "8.8.7.2. Shading Lookup Table Setting Registers (0x0123, 0x0124)", "Pages/Page_55575557.html", "PageId_55575630");

// 8.8.8. Fog Setting Registers (0x00E0, 0x00E1, 0x00E6, 0x00E8 - 0x00EF)
  objTOC.addItem("ID_55575557", 2, "8.8.8. Fog Setting Registers (0x00E0, 0x00E1, 0x00E6, 0x00E8 - 0x00EF)", "Pages/Page_55575557.html", "PageId_55575631");

// 8.8.8.1. Fog Control Setting Registers (0x00E0, 0x00E1)
  objTOC.addItem("ID_55575557", 3, "8.8.8.1. Fog Control Setting Registers (0x00E0, 0x00E1)", "Pages/Page_55575557.html", "PageId_55575632");

// 8.8.8.2. Fog Lookup Table Setting Registers (0x00E6, 0x00E8 – 0x00EF)
  objTOC.addItem("ID_55575557", 3, "8.8.8.2. Fog Lookup Table Setting Registers (0x00E6, 0x00E8 – 0x00EF)", "Pages/Page_55575557.html", "PageId_55575633");

// 8.8.9. Per-Fragment Operations Setting Registers (0x0100 and Others)
  objTOC.addItem("ID_55575557", 2, "8.8.9. Per-Fragment Operations Setting Registers (0x0100 and Others)", "Pages/Page_55575557.html", "PageId_55575634");

// 8.8.9.1. Fragment Operations Mode Setting Register (0x0100)
  objTOC.addItem("ID_55575557", 3, "8.8.9.1. Fragment Operations Mode Setting Register (0x0100)", "Pages/Page_55575557.html", "PageId_55575635");

// 8.8.9.2. Shadow Attenuation Factor Setting Register (0x0130)
  objTOC.addItem("ID_55575557", 3, "8.8.9.2. Shadow Attenuation Factor Setting Register (0x0130)", "Pages/Page_55575557.html", "PageId_55575636");

// 8.8.9.3. w Buffer Setting Registers (0x004D, 0x004E, 0x006D)
  objTOC.addItem("ID_55575557", 3, "8.8.9.3. w Buffer Setting Registers (0x004D, 0x004E, 0x006D)", "Pages/Page_55575557.html", "PageId_55575637");

// 8.8.9.4. Clipping Setting Registers (0x0047 – 0x004B)
  objTOC.addItem("ID_55575557", 3, "8.8.9.4. Clipping Setting Registers (0x0047 – 0x004B)", "Pages/Page_55575557.html", "PageId_55575638");

// 8.8.9.5. Alpha Test Setting Register (0x0104)
  objTOC.addItem("ID_55575557", 3, "8.8.9.5. Alpha Test Setting Register (0x0104)", "Pages/Page_55575557.html", "PageId_55575639");

// 8.8.9.6. Framebuffer Access Control Setting Registers (0x0112 – 0x0115)
  objTOC.addItem("ID_55575557", 3, "8.8.9.6. Framebuffer Access Control Setting Registers (0x0112 – 0x0115)", "Pages/Page_55575557.html", "PageId_55575640");

// 8.8.10. Viewport Setting Registers (0x0041 – 0x0044, 0x0068)
  objTOC.addItem("ID_55575557", 2, "8.8.10. Viewport Setting Registers (0x0041 – 0x0044, 0x0068)", "Pages/Page_55575557.html", "PageId_55575641");

// 8.8.11. Depth Test Setting Registers (0x0107, 0x0126)
  objTOC.addItem("ID_55575557", 2, "8.8.11. Depth Test Setting Registers (0x0107, 0x0126)", "Pages/Page_55575557.html", "PageId_55575642");

// 8.8.12. Logical Operations and Blending Setting Registers (0x0100 – 0x0103)
  objTOC.addItem("ID_55575557", 2, "8.8.12. Logical Operations and Blending Setting Registers (0x0100 – 0x0103)", "Pages/Page_55575557.html", "PageId_55575643");

// 8.8.13. Early Depth Test Setting Registers (0x0061 – 0x0063, 0x006A, 0x0118)
  objTOC.addItem("ID_55575557", 2, "8.8.13. Early Depth Test Setting Registers (0x0061 – 0x0063, 0x006A, 0x0118)", "Pages/Page_55575557.html", "PageId_55575644");

// 8.8.14. Stencil Test Setting Registers (0x0105, 0x0106)
  objTOC.addItem("ID_55575557", 2, "8.8.14. Stencil Test Setting Registers (0x0105, 0x0106)", "Pages/Page_55575557.html", "PageId_55575645");

// 8.8.15. Culling Setting Register (0x0040)
  objTOC.addItem("ID_55575557", 2, "8.8.15. Culling Setting Register (0x0040)", "Pages/Page_55575557.html", "PageId_55575646");

// 8.8.16. Scissor Test Setting Registers (0x0065 – 0x0067)
  objTOC.addItem("ID_55575557", 2, "8.8.16. Scissor Test Setting Registers (0x0065 – 0x0067)", "Pages/Page_55575557.html", "PageId_55575647");

// 8.8.17. Color Mask Setting Register (0x0107)
  objTOC.addItem("ID_55575557", 2, "8.8.17. Color Mask Setting Register (0x0107)", "Pages/Page_55575557.html", "PageId_55575648");

// 8.8.18. Block Format Setting Register (0x011B)
  objTOC.addItem("ID_55575557", 2, "8.8.18. Block Format Setting Register (0x011B)", "Pages/Page_55575557.html", "PageId_55575649");

// 8.8.19. Registers Involved With the Rendering API (0x0227 – 0x022A and Others)
  objTOC.addItem("ID_55575557", 2, "8.8.19. Registers Involved With the Rendering API (0x0227 – 0x022A and Others)", "Pages/Page_55575557.html", "PageId_55575650");

// 8.8.19.1. Settings When Vertex Buffers Are Used
  objTOC.addItem("ID_55575557", 3, "8.8.19.1. Settings When Vertex Buffers Are Used", "Pages/Page_55575557.html", "PageId_55575651");

// 8.8.19.2. Settings When Vertex Buffers Are Not Used
  objTOC.addItem("ID_55575557", 3, "8.8.19.2. Settings When Vertex Buffers Are Not Used", "Pages/Page_55575557.html", "PageId_55575652");

// 8.8.20. Geometry Shader Setting Registers (0x0280 – 0x02AF and Others)
  objTOC.addItem("ID_55575557", 2, "8.8.20. Geometry Shader Setting Registers (0x0280 – 0x02AF and Others)", "Pages/Page_55575557.html", "PageId_55575653");

// 8.8.20.1. Floating-Point Constant Registers (0x0290, 0x0291 – 0x0298)
  objTOC.addItem("ID_55575557", 3, "8.8.20.1. Floating-Point Constant Registers (0x0290, 0x0291 – 0x0298)", "Pages/Page_55575557.html", "PageId_55575654");

// 8.8.20.2. Boolean Register (0x0280)
  objTOC.addItem("ID_55575557", 3, "8.8.20.2. Boolean Register (0x0280)", "Pages/Page_55575557.html", "PageId_55575655");

// 8.8.20.3. Integer Registers (0x0281 – 0x0284)
  objTOC.addItem("ID_55575557", 3, "8.8.20.3. Integer Registers (0x0281 – 0x0284)", "Pages/Page_55575557.html", "PageId_55575656");

// 8.8.20.4. Program Code Setting Registers (0x028F, 0x029B – 0x02A3, 0x02A5 – 0x02AD)
  objTOC.addItem("ID_55575557", 3, "8.8.20.4. Program Code Setting Registers (0x028F, 0x029B – 0x02A3, 0x02A5 – 0x02AD)", "Pages/Page_55575557.html", "PageId_55575657");

// 8.8.20.5. Starting Address Setting Register (0x028A)
  objTOC.addItem("ID_55575557", 3, "8.8.20.5. Starting Address Setting Register (0x028A)", "Pages/Page_55575557.html", "PageId_55575658");

// 8.8.20.6. Vertex Attribute Input Count Setting Register (0x0289)
  objTOC.addItem("ID_55575557", 3, "8.8.20.6. Vertex Attribute Input Count Setting Register (0x0289)", "Pages/Page_55575557.html", "PageId_55575659");

// 8.8.20.7. Input Register Mapping Setting Registers (0x028B, 0x028C)
  objTOC.addItem("ID_55575557", 3, "8.8.20.7. Input Register Mapping Setting Registers (0x028B, 0x028C)", "Pages/Page_55575557.html", "PageId_55575660");

// 8.8.20.8. Output Register Use Count Setting Registers (0x004F, 0x025E)
  objTOC.addItem("ID_55575557", 3, "8.8.20.8. Output Register Use Count Setting Registers (0x004F, 0x025E)", "Pages/Page_55575557.html", "PageId_55575661");

// 8.8.20.9. Output Register Mask Setting Register (0x028D)
  objTOC.addItem("ID_55575557", 3, "8.8.20.9. Output Register Mask Setting Register (0x028D)", "Pages/Page_55575557.html", "PageId_55575662");

// 8.8.20.10. Output Register Attribute Setting Registers (0x0050 – 0x0056, 0x0064)
  objTOC.addItem("ID_55575557", 3, "8.8.20.10. Output Register Attribute Setting Registers (0x0050 – 0x0056, 0x0064)", "Pages/Page_55575557.html", "PageId_55575663");

// 8.8.20.11. Output Attribute Clock Control Register (0x006F)
  objTOC.addItem("ID_55575557", 3, "8.8.20.11. Output Attribute Clock Control Register (0x006F)", "Pages/Page_55575557.html", "PageId_55575664");

// 8.8.20.12. Other Setting Registers (0x0229, 0x0252, 0x0254, 0x0289)
  objTOC.addItem("ID_55575557", 3, "8.8.20.12. Other Setting Registers (0x0229, 0x0252, 0x0254, 0x0289)", "Pages/Page_55575557.html", "PageId_55575665");

// 8.8.21. Framebuffer Cache Clear Setting Registers (0x0110, 0x0111)
  objTOC.addItem("ID_55575557", 2, "8.8.21. Framebuffer Cache Clear Setting Registers (0x0110, 0x0111)", "Pages/Page_55575557.html", "PageId_55575666");

// 8.8.22. Split Command Setting Register (0x0010)
  objTOC.addItem("ID_55575557", 2, "8.8.22. Split Command Setting Register (0x0010)", "Pages/Page_55575557.html", "PageId_55575667");

// 8.8.23. Command Buffer Execution Registers (0x0238 – 0x023D)
  objTOC.addItem("ID_55575557", 2, "8.8.23. Command Buffer Execution Registers (0x0238 – 0x023D)", "Pages/Page_55575557.html", "PageId_55575668");

// 8.8.23.1. Consecutive Execution of Command Buffers
  objTOC.addItem("ID_55575557", 3, "8.8.23.1. Consecutive Execution of Command Buffers", "Pages/Page_55575557.html", "PageId_55575670");

// 8.8.23.2. Repeated Execution of the Same Command Buffer
  objTOC.addItem("ID_55575557", 3, "8.8.23.2. Repeated Execution of the Same Command Buffer", "Pages/Page_55575557.html", "PageId_55575671");

// 8.8.24. Settings for Undocumented Bits
  objTOC.addItem("ID_55575557", 2, "8.8.24. Settings for Undocumented Bits", "Pages/Page_55575557.html", "PageId_55575672");

// 8.8.25. Register Settings When Geometry Shaders Are Used
  objTOC.addItem("ID_55575557", 2, "8.8.25. Register Settings When Geometry Shaders Are Used", "Pages/Page_55575557.html", "PageId_55575673");

// 8.8.25.1. Point Shaders
  objTOC.addItem("ID_55575557", 3, "8.8.25.1. Point Shaders", "Pages/Page_55575557.html", "PageId_55575674");

// 8.8.25.2. Line Shaders
  objTOC.addItem("ID_55575557", 3, "8.8.25.2. Line Shaders", "Pages/Page_55575557.html", "PageId_55575675");

// 8.8.25.3. Silhouette Shaders
  objTOC.addItem("ID_55575557", 3, "8.8.25.3. Silhouette Shaders", "Pages/Page_55575557.html", "PageId_55575676");

// 8.8.25.4. Catmull-Clark Subdivision Shaders
  objTOC.addItem("ID_55575557", 3, "8.8.25.4. Catmull-Clark Subdivision Shaders", "Pages/Page_55575557.html", "PageId_55575677");

// 8.8.25.5. Loop Subdivision Shader
  objTOC.addItem("ID_55575557", 3, "8.8.25.5. Loop Subdivision Shader", "Pages/Page_55575557.html", "PageId_55575678");

// 8.8.25.6. Particle System Shaders
  objTOC.addItem("ID_55575557", 3, "8.8.25.6. Particle System Shaders", "Pages/Page_55575557.html", "PageId_55575679");

// 8.9. Format Conversions for Values Set to Registers
  objTOC.addItem("ID_55575557", 1, "8.9. Format Conversions for Values Set to Registers", "Pages/Page_55575557.html", "PageId_55575680");

// 8.9.1. Converting to a 24-Bit Floating-Point Number
  objTOC.addItem("ID_55575557", 2, "8.9.1. Converting to a 24-Bit Floating-Point Number", "Pages/Page_55575557.html", "PageId_55575681");

// 8.9.2. Converting to a 16-Bit Floating-Point Number
  objTOC.addItem("ID_55575557", 2, "8.9.2. Converting to a 16-Bit Floating-Point Number", "Pages/Page_55575557.html", "PageId_55575682");

// 8.9.3. Converting to a 31-Bit Floating-Point Number
  objTOC.addItem("ID_55575557", 2, "8.9.3. Converting to a 31-Bit Floating-Point Number", "Pages/Page_55575557.html", "PageId_55575683");

// 8.9.4. Converting to a 20-Bit Floating-Point Number
  objTOC.addItem("ID_55575557", 2, "8.9.4. Converting to a 20-Bit Floating-Point Number", "Pages/Page_55575557.html", "PageId_55575684");

// 8.9.5. Converting to an 8-Bit Signed Fixed-Point Number With 7 Fractional Bits
  objTOC.addItem("ID_55575557", 2, "8.9.5. Converting to an 8-Bit Signed Fixed-Point Number With 7 Fractional Bits", "Pages/Page_55575557.html", "PageId_55575685");

// 8.9.6. Converting to a 12-Bit Signed Fixed-Point Number With 11 Fractional Bits
  objTOC.addItem("ID_55575557", 2, "8.9.6. Converting to a 12-Bit Signed Fixed-Point Number With 11 Fractional Bits", "Pages/Page_55575557.html", "PageId_55575686");

// 8.9.7. Converting to a 12-Bit Signed Fixed-Point Number With 11 Fractional Bits
  objTOC.addItem("ID_55575557", 2, "8.9.7. Converting to a 12-Bit Signed Fixed-Point Number With 11 Fractional Bits", "Pages/Page_55575557.html", "PageId_55575687");

// 8.9.8. Converting to a 13-Bit Signed Fixed-Point Number With 8 Fractional Bits
  objTOC.addItem("ID_55575557", 2, "8.9.8. Converting to a 13-Bit Signed Fixed-Point Number With 8 Fractional Bits", "Pages/Page_55575557.html", "PageId_55575688");

// 8.9.9. Converting to a 13-Bit Signed Fixed-Point Number With 11 Fractional Bits
  objTOC.addItem("ID_55575557", 2, "8.9.9. Converting to a 13-Bit Signed Fixed-Point Number With 11 Fractional Bits", "Pages/Page_55575557.html", "PageId_55575689");

// 8.9.10. Converting to a 16-Bit Signed Fixed-Point Number With 12 Fractional Bits
  objTOC.addItem("ID_55575557", 2, "8.9.10. Converting to a 16-Bit Signed Fixed-Point Number With 12 Fractional Bits", "Pages/Page_55575557.html", "PageId_55575690");

// 8.9.11. Converting to a 0-Bit Signed Fixed-Point Number With 8 Fractional Bits
  objTOC.addItem("ID_55575557", 2, "8.9.11. Converting to a 0-Bit Signed Fixed-Point Number With 8 Fractional Bits", "Pages/Page_55575557.html", "PageId_55575691");

// 8.9.12. Converting to an 11-Bit Signed Fixed-Point Number With 11 Fractional Bits
  objTOC.addItem("ID_55575557", 2, "8.9.12. Converting to an 11-Bit Signed Fixed-Point Number With 11 Fractional Bits", "Pages/Page_55575557.html", "PageId_55575692");

// 8.9.13. Converting to a 12-Bit Signed Fixed-Point Number With 12 Fractional Bits
  objTOC.addItem("ID_55575557", 2, "8.9.13. Converting to a 12-Bit Signed Fixed-Point Number With 12 Fractional Bits", "Pages/Page_55575557.html", "PageId_55575693");

// 8.9.14. Converting to a 24-Bit Signed Fixed-Point Number With 24 Fractional Bits
  objTOC.addItem("ID_55575557", 2, "8.9.14. Converting to a 24-Bit Signed Fixed-Point Number With 24 Fractional Bits", "Pages/Page_55575557.html", "PageId_55575694");

// 8.9.15. Converting to an 8-Bit Signed Fixed-Point Number With 24 Fractional Bits
  objTOC.addItem("ID_55575557", 2, "8.9.15. Converting to an 8-Bit Signed Fixed-Point Number With 24 Fractional Bits", "Pages/Page_55575557.html", "PageId_55575695");

// 8.9.16. Converting From a Floating-Point Number (Between 0 and 1) to an 8-Bit Unsigned Integer
  objTOC.addItem("ID_55575557", 2, "8.9.16. Converting From a Floating-Point Number (Between 0 and 1) to an 8-Bit Unsigned Integer", "Pages/Page_55575557.html", "PageId_55575696");

// 8.9.17. Converting From a Floating-Point Number (Between 0 and 1) to an 8-Bit Unsigned Integer
  objTOC.addItem("ID_55575557", 2, "8.9.17. Converting From a Floating-Point Number (Between 0 and 1) to an 8-Bit Unsigned Integer", "Pages/Page_55575557.html", "PageId_55575697");

// 8.9.18. Converting From a Floating-Point Number (From –1 Through 1) to an 8-Bit Unsigned Integer
  objTOC.addItem("ID_55575557", 2, "8.9.18. Converting From a Floating-Point Number (From –1 Through 1) to an 8-Bit Unsigned Integer", "Pages/Page_55575557.html", "PageId_55575698");

// 8.9.19. Converting From a 16-Bit Floating-Point Number to a 32-Bit Floating-Point Number
  objTOC.addItem("ID_55575557", 2, "8.9.19. Converting From a 16-Bit Floating-Point Number to a 32-Bit Floating-Point Number", "Pages/Page_55575557.html", "PageId_55575699");

// 8.10. Register Map
  objTOC.addItem("ID_55575557", 1, "8.10. Register Map", "Pages/Page_55575557.html", "PageId_55575700");

// 8.10.1. Register Map for Registers 0x0010 – 0x00FF
  objTOC.addItem("ID_55575557", 2, "8.10.1. Register Map for Registers 0x0010 – 0x00FF", "Pages/Page_55575557.html", "PageId_55575701");

// 8.10.2. Register Map for Registers 0x0100 – 0x01FF
  objTOC.addItem("ID_55575557", 2, "8.10.2. Register Map for Registers 0x0100 – 0x01FF", "Pages/Page_55575557.html", "PageId_55575702");

// 8.10.3. Register Map for Registers 0x0200 – 0x02FF
  objTOC.addItem("ID_55575557", 2, "8.10.3. Register Map for Registers 0x0200 – 0x02FF", "Pages/Page_55575557.html", "PageId_55575703");

// 9. Profiling Features
  objTOC.addHeader("ID_55575704", 0, "9. Profiling Features", "Pages/Page_55575704.html", "");

// 9.1. Starting and Stopping the Profiling Features
  objTOC.addItem("ID_55575704", 1, "9.1. Starting and Stopping the Profiling Features", "Pages/Page_55575704.html", "PageId_55575705");

// 9.2. Profiling Feature Parameters
  objTOC.addItem("ID_55575704", 1, "9.2. Profiling Feature Parameters", "Pages/Page_55575704.html", "PageId_55575706");

// 9.3. Getting Profiling Results
  objTOC.addItem("ID_55575704", 1, "9.3. Getting Profiling Results", "Pages/Page_55575704.html", "PageId_55575707");

// 9.3.1. Busy Counter
  objTOC.addItem("ID_55575704", 2, "9.3.1. Busy Counter", "Pages/Page_55575704.html", "PageId_55575708");

// 9.3.1.1. Resolving Bottlenecks in Triangle Setup/Rasterization Module
  objTOC.addItem("ID_55575704", 3, "9.3.1.1. Resolving Bottlenecks in Triangle Setup/Rasterization Module", "Pages/Page_55575704.html", "PageId_96550110");

// 9.3.2. Shader Execution Clock Counter
  objTOC.addItem("ID_55575704", 2, "9.3.2. Shader Execution Clock Counter", "Pages/Page_55575704.html", "PageId_55575709");

// 9.3.3. Vertex Cache Input Vertex Counter
  objTOC.addItem("ID_55575704", 2, "9.3.3. Vertex Cache Input Vertex Counter", "Pages/Page_55575704.html", "PageId_55575710");

// 9.3.4. Input/Output Polygon Counter
  objTOC.addItem("ID_55575704", 2, "9.3.4. Input/Output Polygon Counter", "Pages/Page_55575704.html", "PageId_55575711");

// 9.3.5. Input Fragment Counter
  objTOC.addItem("ID_55575704", 2, "9.3.5. Input Fragment Counter", "Pages/Page_55575704.html", "PageId_55575712");

// 9.3.6. Memory Access Counter
  objTOC.addItem("ID_55575704", 2, "9.3.6. Memory Access Counter", "Pages/Page_55575704.html", "PageId_55575713");

// 10. Function for Directly Specifying Command Lists
  objTOC.addHeader("ID_55575714", 0, "10. Function for Directly Specifying Command Lists", "Pages/Page_55575714.html", "");

// 10.1. Allocating and Destroying Command Lists
  objTOC.addItem("ID_55575714", 1, "10.1. Allocating and Destroying Command Lists", "Pages/Page_55575714.html", "PageId_55575715");

// 10.2. Setting Parameters
  objTOC.addItem("ID_55575714", 1, "10.2. Setting Parameters", "Pages/Page_55575714.html", "PageId_55575716");

// 10.3. Getting Parameters
  objTOC.addItem("ID_55575714", 1, "10.3. Getting Parameters", "Pages/Page_55575714.html", "PageId_55575717");

  objTOC.addGuidelineSection("HISTORY", 0, "Revision History", "history.html", "");

  objTOC.processTreeData();
  Reassemble.objectTocData = objTOC;
}
