﻿// ConvertInfo : FairlyWrites 7.4.6.2 - 2016/06/24 16:41:40
{
  var objTOC = new TocObject();
  objTOC.setTitle("3DS Programming Manual:<br />Dynamic Stereoscopy");
  objTOC.setWindowTitle("3DS Programming Manual: Dynamic Stereoscopy");
  objTOC.disablePrintPage();
  objTOC.setInsertTitlePage(true);
  objTOC.disableDisplayNumber();
  objTOC.disableViewFileIcon();
  objTOC.setBaselevel(0);
  objTOC.setSearchEnabled(true);
  objTOC.setLogoFile("template/img/logo.png");

// 1. Introduction
  objTOC.addHeader("ID_71309519", 0, "1. Introduction", "Pages/Page_71309519.html", "");

// 1.1. Scope of This Document
  objTOC.addItem("ID_71309519", 1, "1.1. Scope of This Document", "Pages/Page_71309519.html", "PageId_71309535");

// 1.2. Terminology Used in This Document
  objTOC.addItem("ID_71309519", 1, "1.2. Terminology Used in This Document", "Pages/Page_71309519.html", "PageId_71309736");

// 2. Ideal Image Capture and Display
  objTOC.addHeader("ID_71309783", 0, "2. Ideal Image Capture and Display", "Pages/Page_71309783.html", "");

// 2.1. Ideal Monoscopic Effect
  objTOC.addItem("ID_71309783", 1, "2.1. Ideal Monoscopic Effect", "Pages/Page_71309783.html", "PageId_71309793");

// 2.2. Ideal Stereoscopic Effect
  objTOC.addItem("ID_71309783", 1, "2.2. Ideal Stereoscopic Effect", "Pages/Page_71309783.html", "PageId_71309869");

// 2.3. Ideal Dynamic Base Camera
  objTOC.addItem("ID_71309783", 1, "2.3. Ideal Dynamic Base Camera", "Pages/Page_71309783.html", "PageId_71309926");

// 2.4. Ideal Dynamic Stereoscopic Camera
  objTOC.addItem("ID_71309783", 1, "2.4. Ideal Dynamic Stereoscopic Camera", "Pages/Page_71309783.html", "PageId_71309944");

// 2.5. Using a Viewport Not Covering the Entire Screen
  objTOC.addItem("ID_71309783", 1, "2.5. Using a Viewport Not Covering the Entire Screen", "Pages/Page_71309783.html", "PageId_71309965");

// 3. Integration in SNAKE
  objTOC.addHeader("ID_71309974", 0, "3. Integration in SNAKE", "Pages/Page_71309974.html", "");

// 3.1. Face Tracking System Limitations
  objTOC.addItem("ID_71309974", 1, "3.1. Face Tracking System Limitations", "Pages/Page_71309974.html", "PageId_71309979");

// 3.1.1. Estimating Depth
  objTOC.addItem("ID_71309974", 2, "3.1.1. Estimating Depth", "Pages/Page_71309974.html", "PageId_71309982");

// 3.1.2. Using an Average For Distance Between Eyes
  objTOC.addItem("ID_71309974", 2, "3.1.2. Using an Average For Distance Between Eyes", "Pages/Page_71309974.html", "PageId_71309986");

// 3.1.3. Handling User Detection Failure
  objTOC.addItem("ID_71309974", 2, "3.1.3. Handling User Detection Failure", "Pages/Page_71309974.html", "PageId_71309996");

// 3.2. Comfort and Maximum Parallax
  objTOC.addItem("ID_71309974", 1, "3.2. Comfort and Maximum Parallax", "Pages/Page_71309974.html", "PageId_71310007");

// 3.2.1. Near and Far Planes
  objTOC.addItem("ID_71309974", 2, "3.2.1. Near and Far Planes", "Pages/Page_71309974.html", "PageId_71310013");

// 3.2.2. Reducing the Distance Between Eyes
  objTOC.addItem("ID_71309974", 2, "3.2.2. Reducing the Distance Between Eyes", "Pages/Page_71309974.html", "PageId_71310016");

// 3.2.3. Increasing FOV
  objTOC.addItem("ID_71309974", 2, "3.2.3. Increasing FOV", "Pages/Page_71309974.html", "PageId_71310023");

// 4. Dynamic Stereoscopic Camera Settings
  objTOC.addHeader("ID_71310103", 0, "4. Dynamic Stereoscopic Camera Settings", "Pages/Page_71310103.html", "");

// 4.1. Wide FOV
  objTOC.addItem("ID_71310103", 1, "4.1. Wide FOV", "Pages/Page_71310103.html", "PageId_71310247");

// 4.2. Realistic FOV Factor
  objTOC.addItem("ID_71310103", 1, "4.2. Realistic FOV Factor", "Pages/Page_71310103.html", "PageId_71310366");

// 4.3. Dynamic Perspective Amplitude
  objTOC.addItem("ID_71310103", 1, "4.3. Dynamic Perspective Amplitude", "Pages/Page_71310103.html", "PageId_71310381");

// 4.4. Dynamic Perspective Clamping
  objTOC.addItem("ID_71310103", 1, "4.4. Dynamic Perspective Clamping", "Pages/Page_71310103.html", "PageId_71310400");

// 4.5. Tilt and Improved Static Stereoscopic Camera
  objTOC.addItem("ID_71310103", 1, "4.5. Tilt and Improved Static Stereoscopic Camera", "Pages/Page_71310103.html", "PageId_71310543");

// 4.6. Parallax Distance Limit
  objTOC.addItem("ID_71310103", 1, "4.6. Parallax Distance Limit", "Pages/Page_71310103.html", "PageId_71310547");

// 4.7. 3D Slider and Stereo Factor
  objTOC.addItem("ID_71310103", 1, "4.7. 3D Slider and Stereo Factor", "Pages/Page_71310103.html", "PageId_71310556");

// 5. Notes for Integration
  objTOC.addHeader("ID_71314143", 0, "5. Notes for Integration", "Pages/Page_71314143.html", "");

// 5.1. Determining Camera Occupancy
  objTOC.addItem("ID_71314143", 1, "5.1. Determining Camera Occupancy", "Pages/Page_71314143.html", "PageId_71310675");

// 6. DynamicStereoCamera Class
  objTOC.addHeader("ID_71310767", 0, "6. DynamicStereoCamera Class", "Pages/Page_71310767.html", "");

// 6.1. Specifying the Window
  objTOC.addItem("ID_71310767", 1, "6.1. Specifying the Window", "Pages/Page_71310767.html", "PageId_71310770");

// 6.1.1. Setting the Window From Its Size in Virtual Space
  objTOC.addItem("ID_71310767", 2, "6.1.1. Setting the Window From Its Size in Virtual Space", "Pages/Page_71310767.html", "PageId_71310785");

// 6.1.2. Deriving the Window From the Base Camera Frustum
  objTOC.addItem("ID_71310767", 2, "6.1.2. Deriving the Window From the Base Camera Frustum", "Pages/Page_71310767.html", "PageId_71310800");

// 6.1.3. Setting the Window From the Viewport
  objTOC.addItem("ID_71310767", 2, "6.1.3. Setting the Window From the Viewport", "Pages/Page_71310767.html", "PageId_71310804");

// 6.1.4. Setting the Window Based on an Existing Projection Matrix
  objTOC.addItem("ID_71310767", 2, "6.1.4. Setting the Window Based on an Existing Projection Matrix", "Pages/Page_71310767.html", "PageId_71310810");

// 6.2. Specifying the Base Camera’s View
  objTOC.addItem("ID_71310767", 1, "6.2. Specifying the Base Camera’s View", "Pages/Page_71310767.html", "PageId_71310881");

// 6.3. Computing Left and Right Cameras
  objTOC.addItem("ID_71310767", 1, "6.3. Computing Left and Right Cameras", "Pages/Page_71310767.html", "PageId_71310951");

// 6.4. Setting Class
  objTOC.addItem("ID_71310767", 1, "6.4. Setting Class", "Pages/Page_71310767.html", "PageId_71310943");

// 6.5. Occupancy Volume
  objTOC.addItem("ID_71310767", 1, "6.5. Occupancy Volume", "Pages/Page_71310767.html", "PageId_71311039");

// 7. Appendix: Formulas
  objTOC.addHeader("ID_71311936", 0, "7. Appendix: Formulas", "Pages/Page_71311936.html", "");

// 7.1. Constants
  objTOC.addItem("ID_71311936", 1, "7.1. Constants", "Pages/Page_71311936.html", "PageId_71311944");

// 7.2. Converting Between Virtual and Real Spaces
  objTOC.addItem("ID_71311936", 1, "7.2. Converting Between Virtual and Real Spaces", "Pages/Page_71311936.html", "PageId_71312021");

// 7.3. User Position
  objTOC.addItem("ID_71311936", 1, "7.3. User Position", "Pages/Page_71311936.html", "PageId_71312034");

// 7.4. Computing the Distance Between Cameras
  objTOC.addItem("ID_71311936", 1, "7.4. Computing the Distance Between Cameras", "Pages/Page_71311936.html", "PageId_71312174");

// 7.4.1. Computing Wide FOV
  objTOC.addItem("ID_71311936", 2, "7.4.1. Computing Wide FOV", "Pages/Page_71311936.html", "PageId_71312189");

// 7.4.2. Computing the Parallax Distance Limit
  objTOC.addItem("ID_71311936", 2, "7.4.2. Computing the Parallax Distance Limit", "Pages/Page_71311936.html", "PageId_71312204");

// 7.4.3. Inter-Camera Distance Factor
  objTOC.addItem("ID_71311936", 2, "7.4.3. Inter-Camera Distance Factor", "Pages/Page_71311936.html", "PageId_71312210");

// 7.5. Computing the Central Camera Position
  objTOC.addItem("ID_71311936", 1, "7.5. Computing the Central Camera Position", "Pages/Page_71311936.html", "PageId_71312294");

// 7.6. Computing Final Eye Camera Positions
  objTOC.addItem("ID_71311936", 1, "7.6. Computing Final Eye Camera Positions", "Pages/Page_71311936.html", "PageId_71312298");

// 7.6.1. When Tilt Is Enabled
  objTOC.addItem("ID_71311936", 2, "7.6.1. When Tilt Is Enabled", "Pages/Page_71311936.html", "PageId_71312301");

// 7.6.2. When Tilt Is Disabled
  objTOC.addItem("ID_71311936", 2, "7.6.2. When Tilt Is Disabled", "Pages/Page_71311936.html", "PageId_71312307");

  objTOC.addGuidelineSection("HISTORY", 0, "Revision History", "history.html", "");

  objTOC.processTreeData();
  Reassemble.objectTocData = objTOC;
}
