﻿// ConvertInfo : FairlyWrites 7.4.6.2 - 2016/06/24 16:42:23
{
  var objTOC = new TocObject();
  objTOC.setTitle("3DS Programming Manual: <br />Wireless Communication");
  objTOC.setWindowTitle("3DS Programming Manual: Wireless Communication");
  objTOC.disablePrintPage();
  objTOC.setInsertTitlePage(true);
  objTOC.disableDisplayNumber();
  objTOC.disableViewFileIcon();
  objTOC.setBaselevel(0);
  objTOC.setSearchEnabled(true);
  objTOC.setLogoFile("template/img/logo.png");

// 1. Overview
  objTOC.addHeader("ID_55598612", 0, "1. Overview", "Pages/Page_55598612.html", "");

// 2. Overview of Wireless Communication
  objTOC.addHeader("ID_55598613", 0, "2. Overview of Wireless Communication", "Pages/Page_55598613.html", "");

// 2.1. Types of Wireless Communication
  objTOC.addItem("ID_55598613", 1, "2.1. Types of Wireless Communication", "Pages/Page_55598613.html", "PageId_55598614");

// 2.2. Wireless-Enabled and Wireless-Disabled Modes
  objTOC.addItem("ID_55598613", 1, "2.2. Wireless-Enabled and Wireless-Disabled Modes", "Pages/Page_55598613.html", "PageId_55598615");

// 2.3. Processing Load of Encrypted Wireless Communication
  objTOC.addItem("ID_55598613", 1, "2.3. Processing Load of Encrypted Wireless Communication", "Pages/Page_55598613.html", "PageId_55598616");

// 2.4. Errors From the Wireless Communication Module
  objTOC.addItem("ID_55598613", 1, "2.4. Errors From the Wireless Communication Module", "Pages/Page_55598613.html", "PageId_55598617");

// 3. Foreground Communication
  objTOC.addHeader("ID_55598618", 0, "3. Foreground Communication", "Pages/Page_55598618.html", "");

// 3.1. Nintendo 3DS Local Play (UDS) Communication
  objTOC.addItem("ID_55598618", 1, "3.1. Nintendo 3DS Local Play (UDS) Communication", "Pages/Page_55598618.html", "PageId_55598619");

// 3.1.1. Internal UDS Communication States
  objTOC.addItem("ID_55598618", 2, "3.1.1. Internal UDS Communication States", "Pages/Page_55598618.html", "PageId_55598627");

// 3.1.2. Initializing
  objTOC.addItem("ID_55598618", 2, "3.1.2. Initializing", "Pages/Page_55598618.html", "PageId_55598628");

// 3.1.3. Connecting
  objTOC.addItem("ID_55598618", 2, "3.1.3. Connecting", "Pages/Page_55598618.html", "PageId_55598629");

// 3.1.3.1. Generating Local Communication IDs
  objTOC.addItem("ID_55598618", 3, "3.1.3.1. Generating Local Communication IDs", "Pages/Page_55598618.html", "PageId_55598630");

// 3.1.3.2. Creating a New Network
  objTOC.addItem("ID_55598618", 3, "3.1.3.2. Creating a New Network", "Pages/Page_55598618.html", "PageId_55598631");

// 3.1.3.3. Finding Nearby Networks
  objTOC.addItem("ID_55598618", 3, "3.1.3.3. Finding Nearby Networks", "Pages/Page_55598618.html", "PageId_55598632");

// 3.1.3.4. Connecting to a Network
  objTOC.addItem("ID_55598618", 3, "3.1.3.4. Connecting to a Network", "Pages/Page_55598618.html", "PageId_55598633");

// 3.1.3.5. Setting Optional Data in a Beacon
  objTOC.addItem("ID_55598618", 3, "3.1.3.5. Setting Optional Data in a Beacon", "Pages/Page_55598618.html", "PageId_55598634");

// 3.1.3.6. Getting Optional Data from a Beacon
  objTOC.addItem("ID_55598618", 3, "3.1.3.6. Getting Optional Data from a Beacon", "Pages/Page_55598618.html", "PageId_55598635");

// 3.1.4. Communicating
  objTOC.addItem("ID_55598618", 2, "3.1.4. Communicating", "Pages/Page_55598618.html", "PageId_55598636");

// 3.1.4.1. Creating an Endpoint
  objTOC.addItem("ID_55598618", 3, "3.1.4.1. Creating an Endpoint", "Pages/Page_55598618.html", "PageId_55598638");

// 3.1.4.2. Sending
  objTOC.addItem("ID_55598618", 3, "3.1.4.2. Sending", "Pages/Page_55598618.html", "PageId_55598639");

// 3.1.4.3. Receiving
  objTOC.addItem("ID_55598618", 3, "3.1.4.3. Receiving", "Pages/Page_55598618.html", "PageId_55598640");

// 3.1.4.4. Causes of Packet Loss
  objTOC.addItem("ID_55598618", 3, "3.1.4.4. Causes of Packet Loss", "Pages/Page_55598618.html", "PageId_55598641");

// 3.1.4.5. Communicating More Efficiently
  objTOC.addItem("ID_55598618", 3, "3.1.4.5. Communicating More Efficiently", "Pages/Page_55598618.html", "PageId_55598642");

// 3.1.5. Disconnecting
  objTOC.addItem("ID_55598618", 2, "3.1.5. Disconnecting", "Pages/Page_55598618.html", "PageId_55598643");

// 3.1.5.1. Disconnecting Client and Spectator Systems as a Host Node
  objTOC.addItem("ID_55598618", 3, "3.1.5.1. Disconnecting Client and Spectator Systems as a Host Node", "Pages/Page_55598618.html", "PageId_55598644");

// 3.1.5.2. Destroying a Network as a Host Node
  objTOC.addItem("ID_55598618", 3, "3.1.5.2. Destroying a Network as a Host Node", "Pages/Page_55598618.html", "PageId_55598645");

// 3.1.5.3. Disconnecting as a Client or Spectator System
  objTOC.addItem("ID_55598618", 3, "3.1.5.3. Disconnecting as a Client or Spectator System", "Pages/Page_55598618.html", "PageId_55598646");

// 3.1.5.4. Controlling Connections From Clients by the Host
  objTOC.addItem("ID_55598618", 3, "3.1.5.4. Controlling Connections From Clients by the Host", "Pages/Page_55598618.html", "PageId_55598647");

// 3.1.5.5. Disconnections Due to Transitioning to Sleep Mode or Switching to Wireless-Disabled Mode
  objTOC.addItem("ID_55598618", 3, "3.1.5.5. Disconnections Due to Transitioning to Sleep Mode or Switching to Wireless-Disabled Mode", "Pages/Page_55598618.html", "PageId_55598648");

// 3.1.6. Finalizing
  objTOC.addItem("ID_55598618", 2, "3.1.6. Finalizing", "Pages/Page_55598618.html", "PageId_55598650");

// 3.1.7. Network State Synchronization
  objTOC.addItem("ID_55598618", 2, "3.1.7. Network State Synchronization", "Pages/Page_55598618.html", "PageId_55598651");

// 3.1.8. Node ID Assignment
  objTOC.addItem("ID_55598618", 2, "3.1.8. Node ID Assignment", "Pages/Page_55598618.html", "PageId_55598652");

// 3.1.9. Getting Information
  objTOC.addItem("ID_55598618", 2, "3.1.9. Getting Information", "Pages/Page_55598618.html", "PageId_55598653");

// 3.1.9.1. Getting the Connection State
  objTOC.addItem("ID_55598618", 3, "3.1.9.1. Getting the Connection State", "Pages/Page_55598618.html", "PageId_55598654");

// 3.1.9.2. Getting the Signal Strength
  objTOC.addItem("ID_55598618", 3, "3.1.9.2. Getting the Signal Strength", "Pages/Page_55598618.html", "PageId_55598655");

// 3.1.9.3. Getting the Node Information
  objTOC.addItem("ID_55598618", 3, "3.1.9.3. Getting the Node Information", "Pages/Page_55598618.html", "PageId_55598656");

// 3.1.9.4. Getting the Channel
  objTOC.addItem("ID_55598618", 3, "3.1.9.4. Getting the Channel", "Pages/Page_55598618.html", "PageId_55598657");

// 3.2. Nintendo 3DS Download Play
  objTOC.addItem("ID_55598618", 1, "3.2. Nintendo 3DS Download Play", "Pages/Page_55598618.html", "PageId_55598658");

// 3.2.1. Initializing
  objTOC.addItem("ID_55598618", 2, "3.2.1. Initializing", "Pages/Page_55598618.html", "PageId_55598659");

// 3.2.2. Checking the State
  objTOC.addItem("ID_55598618", 2, "3.2.2. Checking the State", "Pages/Page_55598618.html", "PageId_55598660");

// 3.2.3. Starting and Stopping Sessions
  objTOC.addItem("ID_55598618", 2, "3.2.3. Starting and Stopping Sessions", "Pages/Page_55598618.html", "PageId_55598661");

// 3.2.4. Checking the Connection State
  objTOC.addItem("ID_55598618", 2, "3.2.4. Checking the Connection State", "Pages/Page_55598618.html", "PageId_55598662");

// 3.2.5. Accepting and Rejecting Connections
  objTOC.addItem("ID_55598618", 2, "3.2.5. Accepting and Rejecting Connections", "Pages/Page_55598618.html", "PageId_55598663");

// 3.2.6. Starting Distribution
  objTOC.addItem("ID_55598618", 2, "3.2.6. Starting Distribution", "Pages/Page_55598618.html", "PageId_55598664");

// 3.2.7. Rebooting Clients
  objTOC.addItem("ID_55598618", 2, "3.2.7. Rebooting Clients", "Pages/Page_55598618.html", "PageId_55598665");

// 3.2.8. Finalizing
  objTOC.addItem("ID_55598618", 2, "3.2.8. Finalizing", "Pages/Page_55598618.html", "PageId_55598666");

// 3.2.9. Child Programs
  objTOC.addItem("ID_55598618", 2, "3.2.9. Client Programs", "Pages/Page_55598618.html", "PageId_55598667");

// 3.2.9.1. Embedding a Client Program
  objTOC.addItem("ID_55598618", 3, "3.2.9.1. Embedding a Client Program", "Pages/Page_55598618.html", "PageId_55598668");

// 3.2.9.2. Forcing a Download of a Client Program
  objTOC.addItem("ID_55598618", 3, "3.2.9.2. Forcing a Download of a Client Program", "Pages/Page_55598618.html", "PageId_55598669");

// 3.2.9.3. Debugging a Client Program
  objTOC.addItem("ID_55598618", 3, "3.2.9.3. Debugging a Client Program", "Pages/Page_55598618.html", "PageId_55598670");

// 3.2.9.4. Identifying Client Programs
  objTOC.addItem("ID_55598618", 3, "3.2.9.4. Identifying Client Programs", "Pages/Page_55598618.html", "PageId_55598671");

// 3.2.10. Fake Clients
  objTOC.addItem("ID_55598618", 2, "3.2.10. Fake Clients", "Pages/Page_55598618.html", "PageId_55598672");

// 3.2.10.1. Initializing
  objTOC.addItem("ID_55598618", 3, "3.2.10.1. Initializing", "Pages/Page_55598618.html", "PageId_55598673");

// 3.2.10.2. Checking the State
  objTOC.addItem("ID_55598618", 3, "3.2.10.2. Checking the State", "Pages/Page_55598618.html", "PageId_55598674");

// 3.2.10.3. Scanning for Servers
  objTOC.addItem("ID_55598618", 3, "3.2.10.3. Scanning for Servers", "Pages/Page_55598618.html", "PageId_55598675");

// 3.2.10.4. Getting the Scan Results
  objTOC.addItem("ID_55598618", 3, "3.2.10.4. Getting the Scan Results", "Pages/Page_55598618.html", "PageId_55598676");

// 3.2.10.5. Joining a Session
  objTOC.addItem("ID_55598618", 3, "3.2.10.5. Joining a Session", "Pages/Page_55598618.html", "PageId_55598677");

// 3.2.10.6. Getting Extraneous Information
  objTOC.addItem("ID_55598618", 3, "3.2.10.6. Getting Extraneous Information", "Pages/Page_55598618.html", "PageId_55598678");

// 3.2.10.7. Ending Download
  objTOC.addItem("ID_55598618", 3, "3.2.10.7. Ending Download", "Pages/Page_55598618.html", "PageId_55598679");

// 3.3. Automatic Connection
  objTOC.addItem("ID_55598618", 1, "3.3. Automatic Connection", "Pages/Page_55598618.html", "PageId_55598680");

// 3.3.1. Initializing
  objTOC.addItem("ID_55598618", 2, "3.3.1. Initializing", "Pages/Page_55598618.html", "PageId_55598681");

// 3.3.2. Connecting Automatically
  objTOC.addItem("ID_55598618", 2, "3.3.2. Connecting Automatically", "Pages/Page_55598618.html", "PageId_55598682");

// 3.3.3. Getting the Connection State
  objTOC.addItem("ID_55598618", 2, "3.3.3. Getting the Connection State", "Pages/Page_55598618.html", "PageId_55598683");

// 3.3.4. Disconnecting
  objTOC.addItem("ID_55598618", 2, "3.3.4. Disconnecting", "Pages/Page_55598618.html", "PageId_55598684");

// 3.3.5. Finalizing
  objTOC.addItem("ID_55598618", 2, "3.3.5. Finalizing", "Pages/Page_55598618.html", "PageId_55598685");

// 3.4. Reliable Local (RDT) Communication
  objTOC.addItem("ID_55598618", 1, "3.4. Reliable Local (RDT) Communication", "Pages/Page_55598618.html", "PageId_55598686");

// 3.4.1. Initializing
  objTOC.addItem("ID_55598618", 2, "3.4.1. Initializing", "Pages/Page_55598618.html", "PageId_55598687");

// 3.4.1.1. Initializing the Sender
  objTOC.addItem("ID_55598618", 3, "3.4.1.1. Initializing the Sender", "Pages/Page_55598618.html", "PageId_55598688");

// 3.4.1.2. Initializing the Receiver
  objTOC.addItem("ID_55598618", 3, "3.4.1.2. Initializing the Receiver", "Pages/Page_55598618.html", "PageId_55598689");

// 3.4.2. Getting the State
  objTOC.addItem("ID_55598618", 2, "3.4.2. Getting the State", "Pages/Page_55598618.html", "PageId_55598690");

// 3.4.3. Processing Communication
  objTOC.addItem("ID_55598618", 2, "3.4.3. Processing Communication", "Pages/Page_55598618.html", "PageId_55598691");

// 3.4.4. Opening a Connection
  objTOC.addItem("ID_55598618", 2, "3.4.4. Opening a Connection", "Pages/Page_55598618.html", "PageId_55598692");

// 3.4.5. Transferring Data
  objTOC.addItem("ID_55598618", 2, "3.4.5. Transferring Data", "Pages/Page_55598618.html", "PageId_55598693");

// 3.4.6. Canceling
  objTOC.addItem("ID_55598618", 2, "3.4.6. Canceling", "Pages/Page_55598618.html", "PageId_55598694");

// 3.4.7. Closing a Connection
  objTOC.addItem("ID_55598618", 2, "3.4.7. Closing a Connection", "Pages/Page_55598618.html", "PageId_55598695");

// 3.4.8. Finalizing
  objTOC.addItem("ID_55598618", 2, "3.4.8. Finalizing", "Pages/Page_55598618.html", "PageId_55598696");

// 4. Background Communication
  objTOC.addHeader("ID_55598697", 0, "4. Background Communication", "Pages/Page_55598697.html", "");

// 4.1. StreetPass
  objTOC.addItem("ID_55598697", 1, "4.1. StreetPass", "Pages/Page_55598697.html", "PageId_55598699");

// 4.1.1. Overview of Operations
  objTOC.addItem("ID_55598697", 2, "4.1.1. Overview of Operations", "Pages/Page_55598697.html", "PageId_55598700");

// 4.1.1.1. Conditions Related to StreetPass Communication
  objTOC.addItem("ID_55598697", 3, "4.1.1.1. Conditions Related to StreetPass Communication", "Pages/Page_55598697.html", "PageId_55598701");

// 4.1.2. Initialization and Finalization
  objTOC.addItem("ID_55598697", 2, "4.1.2. Initializing and Finalizing", "Pages/Page_55598697.html", "PageId_55598702");

// 4.1.3. StreetPass Box
  objTOC.addItem("ID_55598697", 2, "4.1.3. StreetPass Box", "Pages/Page_55598697.html", "PageId_55598703");

// 4.1.3.1. Start Accessing (Opening and Creating)
  objTOC.addItem("ID_55598697", 3, "4.1.3.1. Start Accessing (Opening and Creating)", "Pages/Page_55598697.html", "PageId_55598704");

// 4.1.3.2. Setting Related Data
  objTOC.addItem("ID_55598697", 3, "4.1.3.2. Setting Related Data", "Pages/Page_55598697.html", "PageId_55598705");

// 4.1.3.3. Inbox and Outbox Information
  objTOC.addItem("ID_55598697", 3, "4.1.3.3. Inbox and Outbox Information", "Pages/Page_55598697.html", "PageId_55598706");

// 4.1.3.4. Deleting
  objTOC.addItem("ID_55598697", 3, "4.1.3.4. Deleting", "Pages/Page_55598697.html", "PageId_55598707");

// 4.1.3.5. Ending Access (Close and Commit)
  objTOC.addItem("ID_55598697", 3, "4.1.3.5. Ending Access (Close and Commit)", "Pages/Page_55598697.html", "PageId_55598708");

// 4.1.3.6. Relationship With the StreetPass Daemon
  objTOC.addItem("ID_55598697", 3, "4.1.3.6. Relationship With the StreetPass Daemon", "Pages/Page_55598697.html", "PageId_55598709");

// 4.1.3.7. StreetPass-Exclusive Mode (for Debugging Only)
  objTOC.addItem("ID_55598697", 3, "4.1.3.7. StreetPass-Exclusive Mode (for Debugging Only)", "Pages/Page_55598697.html", "PageId_55598710");

// 4.1.4. StreetPass Data
  objTOC.addItem("ID_55598697", 2, "4.1.4. StreetPass Data", "Pages/Page_55598697.html", "PageId_55598711");

// 4.1.4.1. Creating New Data
  objTOC.addItem("ID_55598697", 3, "4.1.4.1. Creating New Data", "Pages/Page_55598697.html", "PageId_55598712");

// 4.1.4.2. Registering to the Outbox
  objTOC.addItem("ID_55598697", 3, "4.1.4.2. Registering to the Outbox", "Pages/Page_55598697.html", "PageId_55598713");

// 4.1.4.3. Getting Information
  objTOC.addItem("ID_55598697", 3, "4.1.4.3. Getting Information", "Pages/Page_55598697.html", "PageId_55598714");

// 4.1.4.4. Deleting
  objTOC.addItem("ID_55598697", 3, "4.1.4.4. Deleting", "Pages/Page_55598697.html", "PageId_55598715");

// 4.1.4.5. Updating Information
  objTOC.addItem("ID_55598697", 3, "4.1.4.5. Updating Information", "Pages/Page_55598697.html", "PageId_81213660");

// 4.1.5. Accessing Header Information
  objTOC.addItem("ID_55598697", 2, "4.1.5. Accessing Header Information", "Pages/Page_55598697.html", "PageId_55598716");

// 4.1.6. Notifying when Communication Occurs
  objTOC.addItem("ID_55598697", 2, "4.1.6. Notifying when Communication Occurs", "Pages/Page_55598697.html", "PageId_55598717");

// 4.1.7. Example of Sending and Receiving StreetPass Data
  objTOC.addItem("ID_55598697", 2, "4.1.7. Example of Sending and Receiving StreetPass Data", "Pages/Page_55598697.html", "PageId_55598718");

// 4.1.8. Efficient Settings
  objTOC.addItem("ID_55598697", 2, "4.1.8. Efficient Settings", "Pages/Page_55598697.html", "PageId_55598719");

// 4.1.8.1. Recommended Settings
  objTOC.addItem("ID_55598697", 3, "4.1.8.1. Recommended Settings", "Pages/Page_55598697.html", "PageId_55598720");

// 4.1.8.2. Registering Multiple Sets of Data
  objTOC.addItem("ID_55598697", 3, "4.1.8.2. Registering Multiple Sets of Data", "Pages/Page_55598697.html", "PageId_55598721");

// 4.1.8.3. Using the Send-Target Setting
  objTOC.addItem("ID_55598697", 3, "4.1.8.3. Using the Send-Target Setting", "Pages/Page_55598697.html", "PageId_55598722");

// 4.1.8.4. Using the Propagation-Count Setting
  objTOC.addItem("ID_55598697", 3, "4.1.8.4. Using the Propagation-Count Setting", "Pages/Page_55598697.html", "PageId_55598723");

// 4.2. SpotPass
  objTOC.addItem("ID_55598697", 1, "4.2. SpotPass", "Pages/Page_55598697.html", "PageId_55598724");

// 4.2.1. Common Processes for All Tasks
  objTOC.addItem("ID_55598697", 2, "4.2.1. Common Processes for All Tasks", "Pages/Page_55598697.html", "PageId_55598725");

// 4.2.1.1. Initializing the BOSS Library
  objTOC.addItem("ID_55598697", 3, "4.2.1.1. Initializing the BOSS Library", "Pages/Page_55598697.html", "PageId_55598726");

// 4.2.1.2. Setting Task Properties
  objTOC.addItem("ID_55598697", 3, "4.2.1.2. Setting Task Properties", "Pages/Page_55598697.html", "PageId_55598727");

// 4.2.1.3. Task Action Settings
  objTOC.addItem("ID_55598697", 3, "4.2.1.3. Task Action Settings", "Pages/Page_55598697.html", "PageId_55598728");

// 4.2.1.4. Registering and Running Tasks
  objTOC.addItem("ID_55598697", 3, "4.2.1.4. Registering and Running Tasks", "Pages/Page_55598697.html", "PageId_55598729");

// 4.2.1.5. Task Information
  objTOC.addItem("ID_55598697", 3, "4.2.1.5. Task Information", "Pages/Page_55598697.html", "PageId_55598730");

// 4.2.1.6. Getting a Task List
  objTOC.addItem("ID_55598697", 3, "4.2.1.6. Getting a Task List", "Pages/Page_55598697.html", "PageId_55598731");

// 4.2.1.7. Changing a Task
  objTOC.addItem("ID_55598697", 3, "4.2.1.7. Changing a Task", "Pages/Page_55598697.html", "PageId_55598732");

// 4.2.1.8. Unregistering a Task
  objTOC.addItem("ID_55598697", 3, "4.2.1.8. Unregistering a Task", "Pages/Page_55598697.html", "PageId_55598733");

// 4.2.1.9. Finalizing the BOSS Library
  objTOC.addItem("ID_55598697", 3, "4.2.1.9. Finalizing the BOSS Library", "Pages/Page_55598697.html", "PageId_55598734");

// 4.2.1.10. Handling Errors in the BOSS Library
  objTOC.addItem("ID_55598697", 3, "4.2.1.10. Handling Errors in the BOSS Library", "Pages/Page_55598697.html", "PageId_82032485");

// 4.2.2. Nintendo Archive Download (NADL) Tasks
  objTOC.addItem("ID_55598697", 2, "4.2.2. Nintendo Archive Download (NADL) Tasks", "Pages/Page_55598697.html", "PageId_55598735");

// 4.2.2.1. NS Archives and NS Data
  objTOC.addItem("ID_55598697", 3, "4.2.2.1. NS Archives and NS Data", "Pages/Page_55598697.html", "PageId_55598736");

// 4.2.2.2. BOSS Storage
  objTOC.addItem("ID_55598697", 3, "4.2.2.2. BOSS Storage", "Pages/Page_55598697.html", "PageId_55598737");

// 4.2.2.3. Required Steps to Process an NADL Task
  objTOC.addItem("ID_55598697", 3, "4.2.2.3. Required Steps to Process an NADL Task", "Pages/Page_55598697.html", "PageId_55598738");

// 4.2.2.4. Preparing to Use BOSS
  objTOC.addItem("ID_55598697", 3, "4.2.2.4. Preparing to Use BOSS", "Pages/Page_55598697.html", "PageId_55598739");

// 4.2.2.5. Registering a Nintendo Archive Download (NADL) Task
  objTOC.addItem("ID_55598697", 3, "4.2.2.5. Registering a Nintendo Archive Download (NADL) Task", "Pages/Page_55598697.html", "PageId_55598740");

// 4.2.2.6. Checking the New Arrival Flag and Waiting for a Data New Arrival Event
  objTOC.addItem("ID_55598697", 3, "4.2.2.6. Checking the New Arrival Flag and Waiting for a Data New Arrival Event", "Pages/Page_55598697.html", "PageId_55598741");

// 4.2.2.7. Checking for Downloaded Data
  objTOC.addItem("ID_55598697", 3, "4.2.2.7. Checking for Downloaded Data", "Pages/Page_55598697.html", "PageId_55598742");

// 4.2.2.8. Loading Downloaded Data
  objTOC.addItem("ID_55598697", 3, "4.2.2.8. Loading Downloaded Data", "Pages/Page_55598697.html", "PageId_55598743");

// 4.2.3. NSA List
  objTOC.addItem("ID_55598697", 2, "4.2.3. NSA List", "Pages/Page_55598697.html", "PageId_55598744");

// 4.2.3.1. NsaList Class
  objTOC.addItem("ID_55598697", 3, "4.2.3.1. NsaList Class", "Pages/Page_55598697.html", "PageId_55598745");

// 4.2.3.2. Getting an NSA Listing
  objTOC.addItem("ID_55598697", 3, "4.2.3.2. Getting an NSA Listing", "Pages/Page_55598697.html", "PageId_55598746");

// 4.2.3.3. Checking the Retrieved Results
  objTOC.addItem("ID_55598697", 3, "4.2.3.3. Checking the Retrieved Results", "Pages/Page_55598697.html", "PageId_55598747");

// 4.2.3.4. Checking Validity and Updates
  objTOC.addItem("ID_55598697", 3, "4.2.3.4. Checking Validity and Updates", "Pages/Page_55598697.html", "PageId_55598748");

// 4.2.3.5. Parsing the NSA List
  objTOC.addItem("ID_55598697", 3, "4.2.3.5. Parsing the NSA List", "Pages/Page_55598697.html", "PageId_55598749");

// 4.2.4. Data Upload Tasks
  objTOC.addItem("ID_55598697", 2, "4.2.4. Data Upload Tasks", "Pages/Page_55598697.html", "PageId_55598750");

// 4.2.5. Data Store Upload Tasks
  objTOC.addItem("ID_55598697", 2, "4.2.5. Data Store Upload Tasks", "Pages/Page_55598697.html", "PageId_55598751");

// 4.2.6. Data Store Download Tasks
  objTOC.addItem("ID_55598697", 2, "4.2.6. Data Store Download Tasks", "Pages/Page_55598697.html", "PageId_55598752");

// 4.3. Presence Feature
  objTOC.addItem("ID_55598697", 1, "4.3. Presence Feature", "Pages/Page_55598697.html", "PageId_55598753");

// 4.3.1. Overview
  objTOC.addItem("ID_55598697", 2, "4.3.1. Overview", "Pages/Page_55598697.html", "PageId_55598754");

// 4.3.2. User Accounts
  objTOC.addItem("ID_55598697", 2, "4.3.2. User Accounts", "Pages/Page_55598697.html", "PageId_55598755");

// 4.3.2.1. Types of User IDs
  objTOC.addItem("ID_55598697", 3, "4.3.2.1. Types of User IDs", "Pages/Page_55598697.html", "PageId_55598756");

// 4.3.2.2. Account Information
  objTOC.addItem("ID_55598697", 3, "4.3.2.2. Account Information", "Pages/Page_55598697.html", "PageId_55598757");

// 4.3.3. Managing the Friend List
  objTOC.addItem("ID_55598697", 2, "4.3.3. Managing the Friend List", "Pages/Page_55598697.html", "PageId_55598758");

// 4.3.3.1. Registering Friends on the Friend List
  objTOC.addItem("ID_55598697", 3, "4.3.3.1. Registering Friends on the Friend List", "Pages/Page_55598697.html", "PageId_55598759");

// 4.3.3.2. Friendship Status
  objTOC.addItem("ID_55598697", 3, "4.3.3.2. Friendship Status", "Pages/Page_55598697.html", "PageId_55598760");

// 4.3.4. Initialization and Finalization
  objTOC.addItem("ID_55598697", 2, "4.3.4. Initializing and Finalizing", "Pages/Page_55598697.html", "PageId_55598761");

// 4.3.5. Online and Offline
  objTOC.addItem("ID_55598697", 2, "4.3.5. Online and Offline", "Pages/Page_55598697.html", "PageId_55598762");

// 4.3.5.1. Autonomous Connection and Login
  objTOC.addItem("ID_55598697", 3, "4.3.5.1. Autonomous Connection and Login", "Pages/Page_55598697.html", "PageId_55598763");

// 4.3.5.2. Synchronizing Information With the Friend Server and Friends
  objTOC.addItem("ID_55598697", 3, "4.3.5.2. Synchronizing Information With the Friend Server and Friends", "Pages/Page_55598697.html", "PageId_55598764");

// 4.3.5.3. Private Mode
  objTOC.addItem("ID_55598697", 3, "4.3.5.3. Private Mode", "Pages/Page_55598697.html", "PageId_55598765");

// 4.3.5.4. Getting Local System Information
  objTOC.addItem("ID_55598697", 3, "4.3.5.4. Getting Local System Information", "Pages/Page_55598697.html", "PageId_55598766");

// 4.3.6. Getting Friend Information
  objTOC.addItem("ID_55598697", 2, "4.3.6. Getting Friend Information", "Pages/Page_55598697.html", "PageId_55598767");

// 4.3.6.1. Getting a Friend Key
  objTOC.addItem("ID_55598697", 3, "4.3.6.1. Getting a Friend Key", "Pages/Page_55598697.html", "PageId_55598768");

// 4.3.6.2. Getting Friend Information
  objTOC.addItem("ID_55598697", 3, "4.3.6.2. Getting Friend Information", "Pages/Page_55598697.html", "PageId_55598769");

// 4.3.7. Notifications
  objTOC.addItem("ID_55598697", 2, "4.3.7. Notifications", "Pages/Page_55598697.html", "PageId_55598770");

// 4.3.7.1. Types of Notifications
  objTOC.addItem("ID_55598697", 3, "4.3.7.1. Types of Notifications", "Pages/Page_55598697.html", "PageId_55598771");

// 4.3.7.2. Notification-Related Functions
  objTOC.addItem("ID_55598697", 3, "4.3.7.2. Notification-Related Functions", "Pages/Page_55598697.html", "PageId_55598772");

// 4.3.8. Error Handling
  objTOC.addItem("ID_55598697", 2, "4.3.8. Error Handling", "Pages/Page_55598697.html", "PageId_55598773");

// 4.3.9. Friend Registration
  objTOC.addItem("ID_55598697", 2, "4.3.9. Friend Registration", "Pages/Page_55598697.html", "PageId_55598774");

// 5. Supplemental Communication Libraries
  objTOC.addHeader("ID_55598775", 0, "5. Supplemental Communication Libraries", "Pages/Page_55598775.html", "");

// 5.1. Blocked-User List
  objTOC.addItem("ID_55598775", 1, "5.1. Blocked-User List", "Pages/Page_55598775.html", "PageId_55598776");

// 5.1.1. Overview
  objTOC.addItem("ID_55598775", 2, "5.1.1. Overview", "Pages/Page_55598775.html", "PageId_55598777");

// 5.1.2. Initializing and Finalizing
  objTOC.addItem("ID_55598775", 2, "5.1.2. Initializing and Finalizing", "Pages/Page_55598775.html", "PageId_55598778");

// 5.1.3. Local Blocked-User List
  objTOC.addItem("ID_55598775", 2, "5.1.3. Local Blocked-User List", "Pages/Page_55598775.html", "PageId_55598779");

// 5.1.4. Blocked-User List Check
  objTOC.addItem("ID_55598775", 2, "5.1.4. Blocked-User List Check", "Pages/Page_55598775.html", "PageId_55598780");

// 5.1.5. UGC Browse Mode
  objTOC.addItem("ID_55598775", 2, "5.1.5. UGC Browse Mode", "Pages/Page_55598775.html", "PageId_55598781");

// 5.1.6. Local Blocked-User List Registration Flow
  objTOC.addItem("ID_55598775", 2, "5.1.6. Local Blocked-User List Registration Flow", "Pages/Page_55598775.html", "PageId_55598782");

// 5.2. Profanity List
  objTOC.addItem("ID_55598775", 1, "5.2. Profanity List", "Pages/Page_55598775.html", "PageId_55598783");

// 5.2.1. Initializing and Finalizing
  objTOC.addItem("ID_55598775", 2, "5.2.1. Initializing and Finalizing", "Pages/Page_55598775.html", "PageId_55598784");

// 5.2.2. Checking for Profanity
  objTOC.addItem("ID_55598775", 2, "5.2.2. Checking for Profanity", "Pages/Page_55598775.html", "PageId_55598785");

// 5.2.3. Checking Numbers
  objTOC.addItem("ID_55598775", 2, "5.2.3. Checking Numbers", "Pages/Page_55598775.html", "PageId_55598786");

// 5.2.4. Text Check
  objTOC.addItem("ID_55598775", 2, "5.2.4. Text Check", "Pages/Page_55598775.html", "PageId_55598787");

// 5.3. Notifications
  objTOC.addItem("ID_55598775", 1, "5.3. Notifications", "Pages/Page_55598775.html", "PageId_55598788");

// 5.3.1. Initializing and Finalizing
  objTOC.addItem("ID_55598775", 2, "5.3.1. Initializing and Finalizing", "Pages/Page_55598775.html", "PageId_55598789");

// 5.3.2. Posting Notifications
  objTOC.addItem("ID_55598775", 2, "5.3.2. Posting Notifications", "Pages/Page_55598775.html", "PageId_55598790");

// 5.3.3. Posting Notifications with URLs
  objTOC.addItem("ID_55598775", 2, "5.3.3. Posting Notifications with URLs", "Pages/Page_55598775.html", "PageId_55598791");

// 5.4. Accounts
  objTOC.addItem("ID_55598775", 1, "5.4. Accounts", "Pages/Page_55598775.html", "PageId_55598792");

// 5.4.1. Initializing and Finalizing
  objTOC.addItem("ID_55598775", 2, "5.4.1. Initializing and Finalizing", "Pages/Page_55598775.html", "PageId_55598793");

// 5.4.2. Nintendo Network Account Information
  objTOC.addItem("ID_55598775", 2, "5.4.2. Nintendo Network Account Information", "Pages/Page_55598775.html", "PageId_55598794");

// 5.4.2.1. Age Determination
  objTOC.addItem("ID_55598775", 3, "5.4.2.1. Age Determination", "Pages/Page_55598775.html", "PageId_55598795");

// 5.4.3. Network Clock
  objTOC.addItem("ID_55598775", 2, "5.4.3. Network Clock", "Pages/Page_55598775.html", "PageId_55598796");

// 5.4.4. Login Applet
  objTOC.addItem("ID_55598775", 2, "5.4.4. Login Applet", "Pages/Page_55598775.html", "PageId_55598797");

// 5.4.4.1. Service Tokens for Independent Services
  objTOC.addItem("ID_55598775", 3, "5.4.4.1. Service Tokens for Independent Services", "Pages/Page_55598775.html", "PageId_55598798");

// 5.4.4.2. Service Tokens for Miiverse
  objTOC.addItem("ID_55598775", 3, "5.4.4.2. Service Tokens for Miiverse", "Pages/Page_55598775.html", "PageId_55598799");

// 5.4.5. Creating UUIDs
  objTOC.addItem("ID_55598775", 2, "5.4.5. Creating UUIDs", "Pages/Page_55598775.html", "PageId_55598800");

// 6. Debugging Libraries
  objTOC.addHeader("ID_55598801", 0, "6. Debugging Libraries", "Pages/Page_55598801.html", "");

// 6.1. Socket Communication
  objTOC.addItem("ID_55598801", 1, "6.1. Socket Communication", "Pages/Page_55598801.html", "PageId_55598802");

// 6.1.1. Initializing
  objTOC.addItem("ID_55598801", 2, "6.1.1. Initializing", "Pages/Page_55598801.html", "PageId_55598803");

// 6.1.2. Creating a Socket
  objTOC.addItem("ID_55598801", 2, "6.1.2. Creating a Socket", "Pages/Page_55598801.html", "PageId_55598804");

// 6.1.3. Binding Addresses and Port Numbers
  objTOC.addItem("ID_55598801", 2, "6.1.3. Binding Addresses and Port Numbers", "Pages/Page_55598801.html", "PageId_55598805");

// 6.1.4. Operating Modes
  objTOC.addItem("ID_55598801", 2, "6.1.4. Operating Modes", "Pages/Page_55598801.html", "PageId_55598806");

// 6.1.5. Waiting for Connections
  objTOC.addItem("ID_55598801", 2, "6.1.5. Waiting for Connections", "Pages/Page_55598801.html", "PageId_55598807");

// 6.1.6. Connecting to a Remote Host
  objTOC.addItem("ID_55598801", 2, "6.1.6. Connecting to a Remote Host", "Pages/Page_55598801.html", "PageId_55598808");

// 6.1.7. Receiving Data
  objTOC.addItem("ID_55598801", 2, "6.1.7. Receiving Data", "Pages/Page_55598801.html", "PageId_55598809");

// 6.1.8. Sending Data
  objTOC.addItem("ID_55598801", 2, "6.1.8. Sending Data", "Pages/Page_55598801.html", "PageId_55598810");

// 6.1.9. Setting Options
  objTOC.addItem("ID_55598801", 2, "6.1.9. Setting Options", "Pages/Page_55598801.html", "PageId_55598811");

// 6.1.10. Disconnecting a Socket
  objTOC.addItem("ID_55598801", 2, "6.1.10. Disconnecting a Socket", "Pages/Page_55598801.html", "PageId_55598812");

// 6.1.11. Closing a Socket
  objTOC.addItem("ID_55598801", 2, "6.1.11. Closing a Socket", "Pages/Page_55598801.html", "PageId_55598813");

// 6.1.12. Finalizing
  objTOC.addItem("ID_55598801", 2, "6.1.12. Finalizing", "Pages/Page_55598801.html", "PageId_55598814");

// 6.1.13. Utility Functions
  objTOC.addItem("ID_55598801", 2, "6.1.13. Utility Functions", "Pages/Page_55598801.html", "PageId_55598815");

// 6.2. SSL Communication
  objTOC.addItem("ID_55598801", 1, "6.2. SSL Communication", "Pages/Page_55598801.html", "PageId_55598816");

// 6.2.1. Initializing
  objTOC.addItem("ID_55598801", 2, "6.2.1. Initializing", "Pages/Page_55598801.html", "PageId_55598817");

// 6.2.2. Generating an Instance of the Connection Class
  objTOC.addItem("ID_55598801", 2, "6.2.2. Generating an Instance of the Connection Class", "Pages/Page_55598801.html", "PageId_55598818");

// 6.2.1. Setting the Communication Target
  objTOC.addItem("ID_55598801", 2, "6.2.1. Setting the Communication Target", "Pages/Page_55598801.html", "PageId_55598819");

// 6.2.4. Setting the Certificate and CRL
  objTOC.addItem("ID_55598801", 2, "6.2.4. Setting the Certificate and CRL", "Pages/Page_55598801.html", "PageId_55598820");

// 6.2.4.1. Certificate Store Class
  objTOC.addItem("ID_55598801", 3, "6.2.4.1. Certificate Store Class", "Pages/Page_55598801.html", "PageId_55598821");

// 6.2.4.2. CRL Store Class
  objTOC.addItem("ID_55598801", 3, "6.2.4.2. CRL Store Class", "Pages/Page_55598801.html", "PageId_55598822");

// 6.2.4.3. Client Certificate Class
  objTOC.addItem("ID_55598801", 3, "6.2.4.3. Client Certificate Class", "Pages/Page_55598801.html", "PageId_55598823");

// 6.2.5. Handshaking
  objTOC.addItem("ID_55598801", 2, "6.2.5. Handshaking", "Pages/Page_55598801.html", "PageId_55598824");

// 6.2.6. Transferring Data
  objTOC.addItem("ID_55598801", 2, "6.2.6. Transferring Data", "Pages/Page_55598801.html", "PageId_55598825");

// 6.2.7. Disconnecting
  objTOC.addItem("ID_55598801", 2, "6.2.7. Disconnecting", "Pages/Page_55598801.html", "PageId_55598826");

// 6.2.8. Finalizing
  objTOC.addItem("ID_55598801", 2, "6.2.8. Finalizing", "Pages/Page_55598801.html", "PageId_55598827");

// 6.3. HTTP Communication
  objTOC.addItem("ID_55598801", 1, "6.3. HTTP Communication", "Pages/Page_55598801.html", "PageId_55598828");

// 6.3.1. Initializing
  objTOC.addItem("ID_55598801", 2, "6.3.1. Initializing", "Pages/Page_55598801.html", "PageId_55598829");

// 6.3.2. Generating an Instance of the Connection Class
  objTOC.addItem("ID_55598801", 2, "6.3.2. Generating an Instance of the Connection Class", "Pages/Page_55598801.html", "PageId_55598830");

// 6.3.3. Configuring Communication
  objTOC.addItem("ID_55598801", 2, "6.3.3. Configuring Communication", "Pages/Page_55598801.html", "PageId_55598831");

// 6.3.3.1. Configuring for HTTPS Communication
  objTOC.addItem("ID_55598801", 3, "6.3.3.1. Configuring for HTTPS Communication", "Pages/Page_55598801.html", "PageId_55598832");

// 6.3.4. Configuring Data to Send
  objTOC.addItem("ID_55598801", 2, "6.3.4. Configuring Data to Send", "Pages/Page_55598801.html", "PageId_55598833");

// 6.3.4.1. Lazy POST Data Setting Mode
  objTOC.addItem("ID_55598801", 3, "6.3.4.1. Lazy POST Data Setting Mode", "Pages/Page_55598801.html", "PageId_55598834");

// 6.3.5. Opening a Connection
  objTOC.addItem("ID_55598801", 2, "6.3.5. Opening a Connection", "Pages/Page_55598801.html", "PageId_55598835");

// 6.3.6. Receiving a Response
  objTOC.addItem("ID_55598801", 2, "6.3.6. Receiving a Response", "Pages/Page_55598801.html", "PageId_55598836");

// 6.3.7. Getting Connection State and Other Information
  objTOC.addItem("ID_55598801", 2, "6.3.7. Getting Connection State and Other Information", "Pages/Page_55598801.html", "PageId_55598837");

// 6.3.8. Closing a Connection
  objTOC.addItem("ID_55598801", 2, "6.3.8. Closing a Connection", "Pages/Page_55598801.html", "PageId_55598838");

// 6.3.9. Finalizing
  objTOC.addItem("ID_55598801", 2, "6.3.9. Finalizing", "Pages/Page_55598801.html", "PageId_55598839");

// 7. Appendix: Performance of Local Communications
  objTOC.addHeader("ID_55598840", 0, "7. Appendix: Performance of Local Communications", "Pages/Page_55598840.html", "");

// 7.1. Measurement Environment and Measurement Results
  objTOC.addItem("ID_55598840", 1, "7.1. Measurement Environment and Measurement Results", "Pages/Page_55598840.html", "PageId_55598841");

// 8. Appendix: Cautions for Wireless Communication Environments
  objTOC.addHeader("ID_55598846", 0, "8. Appendix: Cautions for Wireless Communication Environments", "Pages/Page_55598846.html", "");

// 8.1. Cautions When Preparing a Wireless Communication Environment
  objTOC.addItem("ID_55598846", 1, "8.1. Cautions When Preparing a Wireless Communication Environment", "Pages/Page_55598846.html", "PageId_55598847");

// 8.1.1. Setting Channels for Other Wi-Fi Devices
  objTOC.addItem("ID_55598846", 2, "8.1.1. Setting Channels for Other Wi-Fi Devices", "Pages/Page_55598846.html", "PageId_55598848");

// 8.1.2. Interference From Devices Other Than Wi-Fi Devices
  objTOC.addItem("ID_55598846", 2, "8.1.2. Interference From Devices Other Than Wi-Fi Devices", "Pages/Page_55598846.html", "PageId_55598849");

// 8.1.3. Caution Using Packet Capture
  objTOC.addItem("ID_55598846", 2, "8.1.3. Caution Using Packet Capture", "Pages/Page_55598846.html", "PageId_55598850");

// 8.2. Preparing a Wireless Communication Environment Unaffected by Other Devices
  objTOC.addItem("ID_55598846", 1, "8.2. Preparing a Wireless Communication Environment Unaffected by Other Devices", "Pages/Page_55598846.html", "PageId_55598851");

// 8.2.1. Using an Electromagnetic Shield
  objTOC.addItem("ID_55598846", 2, "8.2.1. Using an Electromagnetic Shield", "Pages/Page_55598846.html", "PageId_55598852");

// 8.2.2. Using Coaxial Cables
  objTOC.addItem("ID_55598846", 2, "8.2.2. Using Coaxial Cables", "Pages/Page_55598846.html", "PageId_55598853");

// 9. Appendix: StreetPass Relay
  objTOC.addHeader("ID_55598854", 0, "9. Appendix: StreetPass Relay", "Pages/Page_55598854.html", "");

// 9.1. Differences From Normal StreetPass
  objTOC.addItem("ID_55598854", 1, "9.1. Differences From Normal StreetPass", "Pages/Page_55598854.html", "PageId_55598855");

// 9.1.1. All StreetPass Data Is a Target of Processing
  objTOC.addItem("ID_55598854", 2, "9.1.1. All StreetPass Data Is a Target of Processing", "Pages/Page_55598854.html", "PageId_55598856");

// 9.1.2. Data Just for Friends Is Not Sent or Received
  objTOC.addItem("ID_55598854", 2, "9.1.2. Data Just for Friends Is Not Sent or Received", "Pages/Page_55598854.html", "PageId_55598857");

// 9.1.3. Exchange Peers Differ
  objTOC.addItem("ID_55598854", 2, "9.1.3. Exchange Peers Differ", "Pages/Page_55598854.html", "PageId_55598858");

// 9.2. Testing StreetPass Relay
  objTOC.addItem("ID_55598854", 1, "9.2. Testing StreetPass Relay", "Pages/Page_55598854.html", "PageId_55598859");

// 9.3. Testing Procedure Using BossLotcheckTool
  objTOC.addItem("ID_55598854", 1, "9.3. Testing Procedure Using BossLotcheckTool", "Pages/Page_55598854.html", "PageId_55598860");

// 9.3.1. Execution Results of Forced Task Start
  objTOC.addItem("ID_55598854", 2, "9.3.1. Execution Results of Forced Task Start", "Pages/Page_55598854.html", "PageId_55598861");

  objTOC.addGuidelineSection("HISTORY", 0, "Revision History", "history.html", "");

  objTOC.processTreeData();
  Reassemble.objectTocData = objTOC;
}
