﻿// ConvertInfo : FairlyWrites 7.4.6.2 - 2016/06/24 16:41:43
{
  var objTOC = new TocObject();
  objTOC.setTitle("3DS Programming Manual:<br /> Font Library");
  objTOC.setWindowTitle("3DS Programming Manual: Font Library");
  objTOC.disablePrintPage();
  objTOC.setInsertTitlePage(true);
  objTOC.disableDisplayNumber();
  objTOC.disableViewFileIcon();
  objTOC.setBaselevel(0);
  objTOC.setSearchEnabled(true);
  objTOC.setLogoFile("template/img/logo.png");

// 1. Introduction
  objTOC.addHeader("ID_53970596", 0, "1. Introduction", "Pages/Page_53970596.html", "");

// 2. Terminology
  objTOC.addHeader("ID_53970597", 0, "2. Terminology", "Pages/Page_53970597.html", "");

// 2.1. Terms Related to Characters and Text
  objTOC.addItem("ID_53970597", 1, "2.1. Terms Related to Characters and Text", "Pages/Page_53970597.html", "PageId_53970598");

// 2.2. Terms Related to Glyphs
  objTOC.addItem("ID_53970597", 1, "2.2. Terms Related to Glyphs", "Pages/Page_53970597.html", "PageId_53970599");

// 2.3. Terms Related to Font Resources
  objTOC.addItem("ID_53970597", 1, "2.3. Terms Related to Font Resources", "Pages/Page_53970597.html", "PageId_53970600");

// 2.3.1. Glyph Groups
  objTOC.addItem("ID_53970597", 2, "2.3.1. Glyph Groups", "Pages/Page_53970597.html", "PageId_53970601");

// 2.3.2. Sheets
  objTOC.addItem("ID_53970597", 2, "2.3.2. Sheets", "Pages/Page_53970597.html", "PageId_53970602");

// 2.4. Other Terms
  objTOC.addItem("ID_53970597", 1, "2.4. Other Terms", "Pages/Page_53970597.html", "PageId_53970603");

// 3. Font Management
  objTOC.addHeader("ID_53970604", 0, "3. Font Management", "Pages/Page_53970604.html", "");

// 3.1. Font Class
  objTOC.addItem("ID_53970604", 1, "3.1. Font Class", "Pages/Page_53970604.html", "PageId_53970605");

// 3.2. ResFont Class
  objTOC.addItem("ID_53970604", 1, "3.2. ResFont Class", "Pages/Page_53970604.html", "PageId_53970606");

// 3.2.1. System Fonts
  objTOC.addItem("ID_53970604", 2, "3.2.1. System Fonts", "Pages/Page_53970604.html", "PageId_53970607");

// 3.3. ArchiveFont Class
  objTOC.addItem("ID_53970604", 1, "3.3. ArchiveFont Class", "Pages/Page_53970604.html", "PageId_53970608");

// 3.4. PackedFont Class
  objTOC.addItem("ID_53970604", 1, "3.4. PackedFont Class", "Pages/Page_53970604.html", "PageId_53970609");

// 3.5. PairFont Class
  objTOC.addItem("ID_53970604", 1, "3.5. PairFont Class", "Pages/Page_53970604.html", "PageId_53970610");

// 4. Displaying Characters
  objTOC.addHeader("ID_53970611", 0, "4. Displaying Characters", "Pages/Page_53970611.html", "");

// 4.1. Displaying Characters Based on Glyph Information
  objTOC.addItem("ID_53970611", 1, "4.1. Displaying Characters Based on Glyph Information", "Pages/Page_53970611.html", "PageId_53970612");

// 4.2. Using the Font Library Classes
  objTOC.addItem("ID_53970611", 1, "4.2. Using the Font Library Classes", "Pages/Page_53970611.html", "PageId_53970613");

// 4.2.1. Steps for Implementing in an Application
  objTOC.addItem("ID_53970611", 2, "4.2.1. Steps for Implementing in an Application", "Pages/Page_53970611.html", "PageId_53970614");

// 4.2.1.1. Loading and Constructing Font Resources
  objTOC.addItem("ID_53970611", 3, "4.2.1.1. Loading and Constructing Font Resources", "Pages/Page_53970611.html", "PageId_53970615");

// 4.2.1.2. Initializing Shaders
  objTOC.addItem("ID_53970611", 3, "4.2.1.2. Initializing Shaders", "Pages/Page_53970611.html", "PageId_53970616");

// 4.2.1.3. Allocating a Display String Buffer
  objTOC.addItem("ID_53970611", 3, "4.2.1.3. Allocating a Display String Buffer", "Pages/Page_53970611.html", "PageId_53970617");

// 4.2.1.4. Rendering Settings
  objTOC.addItem("ID_53970611", 3, "4.2.1.4. Rendering Settings", "Pages/Page_53970611.html", "PageId_53970618");

// 4.2.1.5. Processing Each Time Text Is Rendered
  objTOC.addItem("ID_53970611", 3, "4.2.1.5. Processing Each Time Text Is Rendered", "Pages/Page_53970611.html", "PageId_53970619");

// 4.2.1.6. Changing the GPU Settings With the Font Library
  objTOC.addItem("ID_53970611", 3, "4.2.1.6. Changing the GPU Settings With the Font Library", "Pages/Page_53970611.html", "PageId_53970620");

// 4.2.2. Customizing the Processing of Tag Characters
  objTOC.addItem("ID_53970611", 2, "4.2.2. Customizing the Processing of Tag Characters", "Pages/Page_53970611.html", "PageId_53970621");

// 5. Creating Fonts
  objTOC.addHeader("ID_53970622", 0, "5. Creating Fonts", "Pages/Page_53970622.html", "");

// 5.1. Files Used to Create Font Resources
  objTOC.addItem("ID_53970622", 1, "5.1. Files Used to Create Font Resources", "Pages/Page_53970622.html", "PageId_53970623");

// 5.1.1. Common Structures
  objTOC.addItem("ID_53970622", 2, "5.1.1. Common Structures", "Pages/Page_53970622.html", "PageId_53970624");

// 5.1.2. Character Filter Files
  objTOC.addItem("ID_53970622", 2, "5.1.2. Character Filter Files", "Pages/Page_53970622.html", "PageId_53970625");

// 5.1.3. Glyph Group Files
  objTOC.addItem("ID_53970622", 2, "5.1.3. Glyph Group Files", "Pages/Page_53970622.html", "PageId_53970626");

// 5.1.4. Character Order Files
  objTOC.addItem("ID_53970622", 2, "5.1.4. Character Order Files", "Pages/Page_53970622.html", "PageId_53970627");

// 5.1.4.1. Notes About Coding
  objTOC.addItem("ID_53970622", 3, "5.1.4.1. Notes About Coding", "Pages/Page_53970622.html", "PageId_53970628");

// 5.2. Creating Font Resources From Fonts Installed on a PC
  objTOC.addItem("ID_53970622", 1, "5.2. Creating Font Resources From Fonts Installed on a PC", "Pages/Page_53970622.html", "PageId_53970629");

// 5.3. Creating Font Resources From Image Data
  objTOC.addItem("ID_53970622", 1, "5.3. Creating Font Resources From Image Data", "Pages/Page_53970622.html", "PageId_53970630");

// 5.3.1. Blocks
  objTOC.addItem("ID_53970622", 2, "5.3.1. Blocks", "Pages/Page_53970622.html", "PageId_53970632");

// 5.3.2. Cells and Width-Line Regions
  objTOC.addItem("ID_53970622", 2, "5.3.2. Cells and Width-Line Regions", "Pages/Page_53970622.html", "PageId_53970633");

// 5.3.2.1. Layout Information
  objTOC.addItem("ID_53970622", 3, "5.3.2.1. Layout Information", "Pages/Page_53970622.html", "PageId_53970634");

// 5.4. Creating Font Resources From Existing Font Resources
  objTOC.addItem("ID_53970622", 1, "5.4. Creating Font Resources From Existing Font Resources", "Pages/Page_53970622.html", "PageId_53970635");

  objTOC.addGuidelineSection("HISTORY", 0, "Revision History", "history.html", "");

  objTOC.processTreeData();
  Reassemble.objectTocData = objTOC;
}
