﻿// ConvertInfo : FairlyWrites 7.4.6.2 - 2016/06/24 16:41:55
{
  var objTOC = new TocObject();
  objTOC.setTitle("3DS Programming Manual:<br />Creating Applications");
  objTOC.setWindowTitle("3DS Programming Manual: Creating Applications");
  objTOC.disablePrintPage();
  objTOC.setInsertTitlePage(true);
  objTOC.disableDisplayNumber();
  objTOC.disableViewFileIcon();
  objTOC.setBaselevel(0);
  objTOC.setSearchEnabled(true);
  objTOC.setLogoFile("template/img/logo.png");

// 1. Introduction
  objTOC.addHeader("ID_54698683", 0, "1. Introduction", "Pages/Page_54698683.html", "");

// 1.1. Reading This Document
  objTOC.addItem("ID_54698683", 1, "1.1. Reading This Document", "Pages/Page_54698683.html", "PageId_54698684");

// 1.2. Glossary
  objTOC.addItem("ID_54698683", 1, "1.2. Glossary", "Pages/Page_54698683.html", "PageId_54698685");

// 2. Types of Applications
  objTOC.addHeader("ID_54698686", 0, "2. Types of Applications", "Pages/Page_54698686.html", "");

// 2.1. Card-Based Software
  objTOC.addItem("ID_54698686", 1, "2.1. Card-Based Software", "Pages/Page_54698686.html", "PageId_54698687");

// 2.2. Downloadable Applications
  objTOC.addItem("ID_54698686", 1, "2.2. Downloadable Applications", "Pages/Page_54698686.html", "PageId_54698688");

// 2.2.1. Importing Downloadable Applications
  objTOC.addItem("ID_54698686", 2, "2.2.1. Importing Downloadable Applications", "Pages/Page_54698686.html", "PageId_54698689");

// 2.2.1.1. Importing and Overwriting Downloadable Applications
  objTOC.addItem("ID_54698686", 3, "2.2.1.1. Importing and Overwriting Downloadable Applications", "Pages/Page_54698686.html", "PageId_54698690");

// 2.2.2. Advance Download
  objTOC.addItem("ID_54698686", 2, "2.2.2. Advance Download", "Pages/Page_54698686.html", "PageId_83151976");

// 2.2.3. Demos
  objTOC.addItem("ID_54698686", 2, "2.2.3. Demos", "Pages/Page_54698686.html", "PageId_54698691");

// 2.2.4. Differences From Card-Based Software, WiiWare, and Nintendo DSiWare
  objTOC.addItem("ID_54698686", 2, "2.2.4. Differences From Card-Based Software, WiiWare, and Nintendo DSiWare", "Pages/Page_54698686.html", "PageId_54698692");

// 2.2.5. Importing TWL NAND Applications
  objTOC.addItem("ID_54698686", 2, "2.2.5. Importing TWL NAND Applications", "Pages/Page_54698686.html", "PageId_54698693");

// 2.3. Client Programs
  objTOC.addItem("ID_54698686", 1, "2.3. Client Programs", "Pages/Page_54698686.html", "PageId_54698695");

// 3. Implementation Tips
  objTOC.addHeader("ID_54698696", 0, "3. Implementation Tips", "Pages/Page_54698696.html", "");

// 3.1. Initialization Before Starting an Application
  objTOC.addItem("ID_54698696", 1, "3.1. Initialization Before Starting an Application", "Pages/Page_54698696.html", "PageId_54698697");

// 3.2. Entry Function
  objTOC.addItem("ID_54698696", 1, "3.2. Entry Function", "Pages/Page_54698696.html", "PageId_54698698");

// 3.2.1. Handling Special Actions
  objTOC.addItem("ID_54698696", 2, "3.2.1. Handling Special Actions", "Pages/Page_54698696.html", "PageId_54698699");

// 4. Preparing to Build
  objTOC.addHeader("ID_54698700", 0, "4. Preparing to Build", "Pages/Page_54698700.html", "");

// 4.1. RSF Files
  objTOC.addItem("ID_54698700", 1, "4.1. RSF Files", "Pages/Page_54698700.html", "PageId_54698701");

// 4.1.1. Required Settings
  objTOC.addItem("ID_54698700", 2, "4.1.1. Required Settings", "Pages/Page_54698700.html", "PageId_54698702");

// 4.1.2. Using Save Data
  objTOC.addItem("ID_54698700", 2, "4.1.2. Using Save Data", "Pages/Page_54698700.html", "PageId_54698703");

// 4.1.2.1. Card Applications Using Card1 as the Game Card Type
  objTOC.addItem("ID_54698700", 3, "4.1.2.1. Card Applications Using Card1 as the Game Card Type", "Pages/Page_54698700.html", "PageId_54698704");

// 4.1.2.2. Downloadable Application
  objTOC.addItem("ID_54698700", 3, "4.1.2.2. Downloadable Application", "Pages/Page_54698700.html", "PageId_54698705");

// 4.1.2.3. Card Applications Using Card2 as the Game Card Type
  objTOC.addItem("ID_54698700", 3, "4.1.2.3. Card Applications Using Card2 as the Game Card Type", "Pages/Page_54698700.html", "PageId_54698706");

// 4.1.2.4. Accessing the Save Data of Demo Versions
  objTOC.addItem("ID_54698700", 3, "4.1.2.4. Accessing the Save Data of Demo Versions", "Pages/Page_54698700.html", "PageId_54698707");

// 4.1.2.5. Accessing the Save Data of Other Applications
  objTOC.addItem("ID_54698700", 3, "4.1.2.5. Accessing the Save Data of Other Applications", "Pages/Page_54698700.html", "PageId_54698708");

// 4.1.3. Using Extended Save Data
  objTOC.addItem("ID_54698700", 2, "4.1.3. Using Extended Save Data", "Pages/Page_54698700.html", "PageId_54698709");

// 4.1.4. Settings for Creating a Master ROM to Submit
  objTOC.addItem("ID_54698700", 2, "4.1.4. Settings for Creating a Master ROM to Submit", "Pages/Page_54698700.html", "PageId_54698710");

// 4.1.5. Remaster Version Settings
  objTOC.addItem("ID_54698700", 2, "4.1.5. Remaster Version Settings", "Pages/Page_54698700.html", "PageId_54698711");

// 4.2. BSF Files
  objTOC.addItem("ID_54698700", 1, "4.2. BSF Files", "Pages/Page_54698700.html", "PageId_54698712");

// 4.3. E-Manuals
  objTOC.addItem("ID_54698700", 1, "4.3. E-Manuals", "Pages/Page_54698700.html", "PageId_54698713");

// 5. Building
  objTOC.addHeader("ID_54698714", 0, "5. Building", "Pages/Page_54698714.html", "");

// 5.1. Using the CTR-SDK Build System
  objTOC.addItem("ID_54698714", 1, "5.1. Using the CTR-SDK Build System", "Pages/Page_54698714.html", "PageId_54698715");

// 5.1.1. Creating Card-Based Applications
  objTOC.addItem("ID_54698714", 2, "5.1.1. Creating Card-Based Applications", "Pages/Page_54698714.html", "PageId_54698716");

// 5.1.2. Creating Downloadable Applications
  objTOC.addItem("ID_54698714", 2, "5.1.2. Creating Downloadable Applications", "Pages/Page_54698714.html", "PageId_54698717");

// 5.1.3. Creating Client Programs
  objTOC.addItem("ID_54698714", 2, "5.1.3. Creating Client Programs", "Pages/Page_54698714.html", "PageId_54698718");

// 5.2. Using Your Own Build System
  objTOC.addItem("ID_54698714", 1, "5.2. Using Your Own Build System", "Pages/Page_54698714.html", "PageId_54698719");

// 5.2.1. Creating AXF Files
  objTOC.addItem("ID_54698714", 2, "5.2.1. Creating AXF Files", "Pages/Page_54698714.html", "PageId_54698720");

// 5.2.2. Creating ICN Files and BNR Files
  objTOC.addItem("ID_54698714", 2, "5.2.2. Creating ICN Files and BNR Files", "Pages/Page_54698714.html", "PageId_54698722");

// 5.2.3. Creating E-Manual CFA Files
  objTOC.addItem("ID_54698714", 2, "5.2.3. Creating E-Manual CFA Files", "Pages/Page_54698714.html", "PageId_54698724");

// 5.2.4. Creating Card-Based Applications
  objTOC.addItem("ID_54698714", 2, "5.2.4. Creating Card-Based Applications", "Pages/Page_54698714.html", "PageId_54698726");

// 5.2.4.1. Creating CCI Files
  objTOC.addItem("ID_54698714", 3, "5.2.4.1. Creating CCI Files", "Pages/Page_54698714.html", "PageId_54698727");

// 5.2.5. Creating Downloadable Applications
  objTOC.addItem("ID_54698714", 2, "5.2.5. Creating Downloadable Applications", "Pages/Page_54698714.html", "PageId_54698728");

// 5.2.5.1. Creating CXI Files
  objTOC.addItem("ID_54698714", 3, "5.2.5.1. Creating CXI Files", "Pages/Page_54698714.html", "PageId_54698729");

// 5.2.5.2. Creating CIA Files
  objTOC.addItem("ID_54698714", 3, "5.2.5.2. Creating CIA Files", "Pages/Page_54698714.html", "PageId_54698730");

// 5.2.6. Creating Client Programs
  objTOC.addItem("ID_54698714", 2, "5.2.6. Creating Client Programs", "Pages/Page_54698714.html", "PageId_54698731");

// 5.2.6.1. Creating CXI Files
  objTOC.addItem("ID_54698714", 3, "5.2.6.1. Creating CXI Files", "Pages/Page_54698714.html", "PageId_54698732");

// 5.2.6.2. Creating CIA Files
  objTOC.addItem("ID_54698714", 3, "5.2.6.2. Creating CIA Files", "Pages/Page_54698714.html", "PageId_54698733");

// 5.2.6.3. Creating CFA Files
  objTOC.addItem("ID_54698714", 3, "5.2.6.3. Creating CFA Files", "Pages/Page_54698714.html", "PageId_54698734");

// 6. Debugging
  objTOC.addHeader("ID_54698735", 0, "6. Debugging", "Pages/Page_54698735.html", "");

// 6.1. Debugging Methods According to the Menu Displayed at Startup
  objTOC.addItem("ID_54698735", 1, "6.1. Debugging Methods According to the Menu Displayed at Startup", "Pages/Page_54698735.html", "PageId_54698736");

// 6.1.1. Starting Your Application From the Development Menu
  objTOC.addItem("ID_54698735", 2, "6.1.1. Starting Your Application From the Development Menu", "Pages/Page_54698735.html", "PageId_54698737");

// 6.1.2. Starting Your Application From the HOME Menu
  objTOC.addItem("ID_54698735", 2, "6.1.2. Starting Your Application From the HOME Menu", "Pages/Page_54698735.html", "PageId_54698738");

// 6.2. Starting the CIA File With Debugger Software
  objTOC.addItem("ID_54698735", 1, "6.2. Starting the CIA File With Debugger Software", "Pages/Page_54698735.html", "PageId_54698739");

// 7. Using DLLs (Dynamic Modules)
  objTOC.addHeader("ID_54698740", 0, "7. Using DLLs (Dynamic Modules)", "Pages/Page_54698740.html", "");

// 7.1. Implementation
  objTOC.addItem("ID_54698740", 1, "7.1. Implementation", "Pages/Page_54698740.html", "PageId_54698742");

// 7.2. Preparing to Build
  objTOC.addItem("ID_54698740", 1, "7.2. Preparing to Build", "Pages/Page_54698740.html", "PageId_54698743");

// 7.3. Building
  objTOC.addItem("ID_54698740", 1, "7.3. Building", "Pages/Page_54698740.html", "PageId_54698744");

// 7.3.1. Using the CTR-SDK Build System
  objTOC.addItem("ID_54698740", 2, "7.3.1. Using the CTR-SDK Build System", "Pages/Page_54698740.html", "PageId_54698745");

// 7.3.2. Using Your Own Build System
  objTOC.addItem("ID_54698740", 2, "7.3.2. Using Your Own Build System", "Pages/Page_54698740.html", "PageId_54698746");

// 7.4. Debugging
  objTOC.addItem("ID_54698740", 1, "7.4. Debugging", "Pages/Page_54698740.html", "PageId_54698747");

// 8. Developing Card Applications That Can Be Sold via Download
  objTOC.addHeader("ID_54698748", 0, "8. Developing Card Applications That Can Be Sold via Download", "Pages/Page_54698748.html", "");

// 8.1. Developing a New Application for Dual Distribution
  objTOC.addItem("ID_54698748", 1, "8.1. Developing a New Application for Dual Distribution", "Pages/Page_54698748.html", "PageId_54698749");

// 8.1.1. Planning Stage
  objTOC.addItem("ID_54698748", 2, "8.1.1. Planning Stage", "Pages/Page_54698748.html", "PageId_54698750");

// 8.1.2. Getting the Product Code and Unique ID
  objTOC.addItem("ID_54698748", 2, "8.1.2. Getting the Product Code and Unique ID", "Pages/Page_54698748.html", "PageId_54698751");

// 8.1.3. E-Manual
  objTOC.addItem("ID_54698748", 2, "8.1.3. E-Manual", "Pages/Page_54698748.html", "PageId_54698752");

// 8.1.4. Save Data and Extra Data
  objTOC.addItem("ID_54698748", 2, "8.1.4. Save Data and Extra Data", "Pages/Page_54698748.html", "PageId_54698753");

// 8.1.5. Save-Data Rollbacks
  objTOC.addItem("ID_54698748", 2, "8.1.5. Save-Data Rollbacks", "Pages/Page_54698748.html", "PageId_54698754");

// 8.1.6. In-Game Notations and Displays
  objTOC.addItem("ID_54698748", 2, "8.1.6. In-Game Notations and Displays", "Pages/Page_54698748.html", "PageId_54698755");

// 8.1.7. Download Play
  objTOC.addItem("ID_54698748", 2, "8.1.7. Download Play", "Pages/Page_54698748.html", "PageId_54698756");

// 8.1.8. Media Access Speed
  objTOC.addItem("ID_54698748", 2, "8.1.8. Media Access Speed", "Pages/Page_54698748.html", "PageId_54698757");

// 8.1.9. Generating (Building) Application Binaries
  objTOC.addItem("ID_54698748", 2, "8.1.9. Generating (Building) Application Binaries", "Pages/Page_54698748.html", "PageId_54698758");

// 8.1.10. Debugging
  objTOC.addItem("ID_54698748", 2, "8.1.10. Debugging", "Pages/Page_54698748.html", "PageId_54698759");

// 8.1.10.1. Reusing Save Data
  objTOC.addItem("ID_54698748", 3, "8.1.10.1. Reusing Save Data", "Pages/Page_54698748.html", "PageId_54698760");

// 8.1.11. Master ROM Submission
  objTOC.addItem("ID_54698748", 2, "8.1.11. Master ROM Submission", "Pages/Page_54698748.html", "PageId_54698761");

// 8.2. Selling a Previously Launched Card Application as a Downloadable Application
  objTOC.addItem("ID_54698748", 1, "8.2. Selling a Previously Launched Card Application as a Downloadable Application", "Pages/Page_54698748.html", "PageId_54698762");

// 8.2.1. SDK Version
  objTOC.addItem("ID_54698748", 2, "8.2.1. SDK Version", "Pages/Page_54698748.html", "PageId_54698763");

// 8.2.2. E-Manual
  objTOC.addItem("ID_54698748", 2, "8.2.2. E-Manual", "Pages/Page_54698748.html", "PageId_54698764");

// 8.2.3. Save Data Compatibility
  objTOC.addItem("ID_54698748", 2, "8.2.3. Save Data Compatibility", "Pages/Page_54698748.html", "PageId_54698765");

// 8.2.4. Save-Data Rollbacks
  objTOC.addItem("ID_54698748", 2, "8.2.4. Save-Data Rollbacks", "Pages/Page_54698748.html", "PageId_54698766");

// 8.2.5. In-Game Notations and Displays
  objTOC.addItem("ID_54698748", 2, "8.2.5. In-Game Notations and Displays", "Pages/Page_54698748.html", "PageId_54698767");

// 8.2.6. Download Play
  objTOC.addItem("ID_54698748", 2, "8.2.6. Download Play", "Pages/Page_54698748.html", "PageId_54698768");

// 8.2.7. Testing the Application
  objTOC.addItem("ID_54698748", 2, "8.2.7. Testing the Application", "Pages/Page_54698748.html", "PageId_54698769");

// 8.2.8. Master ROM Submission
  objTOC.addItem("ID_54698748", 2, "8.2.8. Master ROM Submission", "Pages/Page_54698748.html", "PageId_54698770");

// 8.3. Revising Your Application
  objTOC.addItem("ID_54698748", 1, "8.3. Revising Your Application", "Pages/Page_54698748.html", "PageId_54698771");

// 8.3.1. Revising Your Application After Launch
  objTOC.addItem("ID_54698748", 2, "8.3.1. Revising Your Application After Launch", "Pages/Page_54698748.html", "PageId_54698772");

// 8.3.2. Distributing a Card Application That Has Already Been Released and Patched
  objTOC.addItem("ID_54698748", 2, "8.3.2. Distributing a Card Application That Has Already Been Released and Patched", "Pages/Page_54698748.html", "PageId_54698773");

  objTOC.addGuidelineSection("HISTORY", 0, "Revision History", "history.html", "");

  objTOC.processTreeData();
  Reassemble.objectTocData = objTOC;
}
